"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ItemPropertiesDTO = exports.ItemProperties = exports.FindProperties = exports.JsonConfiguration = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class JsonConfiguration {
    static _OPENAPI_METADATA_FACTORY() {
        return { item_id: { required: true, type: () => String }, label: { required: true, type: () => String } };
    }
}
exports.JsonConfiguration = JsonConfiguration;
class FindProperties {
    static _OPENAPI_METADATA_FACTORY() {
        return { uuids: { required: true, type: () => [String] }, properties: { required: true, type: () => [String] } };
    }
}
exports.FindProperties = FindProperties;
class ItemProperties {
    static _OPENAPI_METADATA_FACTORY() {
        return {};
    }
}
exports.ItemProperties = ItemProperties;
class ItemPropertiesDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./configuration.dto").ItemProperties } };
    }
}
exports.ItemPropertiesDTO = ItemPropertiesDTO;
//# sourceMappingURL=configuration.dto.js.map