"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ALERT_ITEM_TYPE = exports.getAlertLevelIndex = exports.ALERT_LEVEL = exports.ALERT_CONST = void 0;
exports.ALERT_CONST = {
    CUSTOM_GROUP_ID: 'CUSTOM_GROUP',
    CUSTOM_GROUP_LABEL: 'Custom Group'
};
exports.ALERT_LEVEL = {
    undefined: 'undefined',
    info: 'info',
    warning: 'warning',
    minor: 'minor',
    major: 'major',
    critical: 'critical',
};
function getAlertLevelIndex(severity) {
    return Object.values(exports.ALERT_LEVEL).indexOf(severity);
}
exports.getAlertLevelIndex = getAlertLevelIndex;
exports.ALERT_ITEM_TYPE = {
    list: 'list',
    regex: 'regex'
};
//# sourceMappingURL=alerting.constants.js.map