export declare const GRAPH_INTERVAL: {
    readonly day: "day";
    readonly week: "week";
    readonly month: "month";
    readonly year: "year";
};
export declare const CHART_TYPE: {
    readonly area: "area";
    readonly line: "line";
};
export declare const METRIC_AGGREGATE: {
    readonly items: "items";
    readonly sum: "sum";
    readonly max: "max";
    readonly avg: "avg";
    readonly wavg: "wavg";
};
export declare const BOX_TYPE: {
    readonly FourGraphBox: "FourGraphBox";
    readonly RegroupedGraphBox: "RegroupedGraphBox";
    readonly SingleGraphBox: "SingleGraphBox";
    readonly SingleTimeRangeGraphBox: "SingleTimeRangeGraphBox";
    readonly MultiGraphBox: "MultiGraphBox";
    readonly PredictionGraphBox: "PredictionGraphBox";
    readonly HeatmapBox: "HeatmapBox";
    readonly StorageHeatmapBox: "StorageHeatmapBox";
    readonly TableBox: "TableBox";
    readonly TablePivotBox: "TablePivotBox";
    readonly TableGroupBox: "TableGroupBox";
    readonly TableHeaderGroupBox: "TableHeaderGroupBox";
    readonly TextBox: "TextBox";
    readonly HtmlTextBox: "HtmlTextBox";
    readonly DashboardBox: "DashboardBox";
    readonly SunburstBox: "SunburstBox";
    readonly TopBox: "TopBox";
    readonly CapacityTableBox: "CapacityTableBox";
    readonly TopologyBox: "TopologyBox";
    readonly TopologyRequestBox: "TopologyRequestBox";
    readonly PortHealthStatusBox: "PortHealthStatusBox";
    readonly OverviewBox: "OverviewBox";
    readonly CustomTopBox: "CustomTopBox";
    readonly RegroupButtonBox: "RegroupButtonBox";
    readonly MirrorBox: "MirrorBox";
};
export declare const TABLE_STYLE_CLASS: {
    readonly center: "center";
    readonly bold: "bold";
    readonly thermometer: "thermometer";
    readonly healthStatus: "healthStatus";
};
export declare const TEXT_STYLE_CLASS: {
    readonly h1: "h1";
    readonly h2: "h2";
    readonly h3: "h3";
    readonly h4: "h4";
    readonly st: "st";
};
export declare const EXPORT_METHOD: {
    readonly GET: "GET";
    readonly POST: "POST";
};
export declare const UNIT_PREFIX: {
    readonly kilo: "k";
    readonly kibi: "Ki";
    readonly mega: "M";
    readonly mebi: "Mi";
    readonly giga: "G";
    readonly gibi: "Gi";
    readonly tera: "T";
    readonly tebi: "Ti";
    readonly peta: "P";
    readonly pebi: "Pi";
    readonly exa: "E";
    readonly exbi: "Ei";
    readonly zetta: "Z";
    readonly zebi: "Zi";
    readonly yotta: "Y";
    readonly yobi: "Yi";
};
export declare const MULTIPLIER: {
    readonly base10: "1000";
    readonly base2: "1024";
};
export declare const TOPOLOGY_TYPE: {
    readonly 'switch-storage': "switch-storage";
    readonly 'switch-switch': "switch-switch";
    readonly 'switch-host': "switch-host";
    readonly fabric: "fabric";
};
export declare const TOPOLOGY_ITEM_TYPE: {
    readonly switch: "switch";
    readonly storage: "storage";
    readonly host: "host";
};
export declare const ORIENTATION: {
    readonly vertical: "vertical";
    readonly horizontal: "horizontal";
};
