export declare const WORKER_POLL_INTERVAL: number;
export declare const WORKER_LIMIT = 4;
export declare enum TaskStatus {
    PENDING = "pending",
    ERRORED = "errored",
    RUNNING = "running",
    PAUSED = "paused"
}
export declare enum TaskTypes {
    HEALT_STATUS = "health_status",
    HEATMAP_STOR = "heatmap_stor",
    HEATMAP_SAN = "heatmap_san",
    HEATMAP_LAN = "heatmap_lan",
    HEATMAP_VIRTUALIZATION = "heatmap_virtualization",
    HEATMAP_CAPACITY = "heatmap_capacity",
    TOP = "top",
    CLEANUP = "cleanup",
    ALERTS = "alerts",
    HW_ALERTS = "hw_alerts",
    HS_HISTORY_CLOSE = "hs_history_close",
    EXPORTER = "exporter",
    REPORTER = "reporter",
    MONITORING = "monitoring",
    MONITORING_HANDLE_CONF = "monitoring_handle_conf",
    MONITORING_HANDLE_PERF = "monitoring_handle_perf",
    AGGREGATION = "aggregation",
    LOGS = "logs",
    CUSTOM_TASK = "custom_task",
    PREDICTION = "prediction",
    STUCK_JOB_DEAD = "stuck_job_dead",
    STUCK_JOB_NUL = "stuck_job_null",
    DAEMON_KILLER = "daemon_killer"
}
