"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceGroupSave = exports.DeviceGroupResponseDTO = exports.DeviceGroupsResponseDTO = exports.DeviceGroup = exports.UpdateDeviceGroupHwAlertingBody = exports.DeviceGroupHwAlertingDTO = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
const customGroup_dto_1 = require("./customGroup.dto");
class DeviceGroupHwAlertingDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { device_group_id: { required: true, type: () => String }, label: { required: true, type: () => String }, class: { required: true, type: () => String }, hw_type: { required: true, type: () => String }, enabled: { required: true, type: () => Boolean }, user_id: { required: true, type: () => Number }, mail_groups: { required: true, type: () => [Number] }, integrations: { required: true, type: () => require("./elements/alert.elements").AlertIntegrations } };
    }
}
exports.DeviceGroupHwAlertingDTO = DeviceGroupHwAlertingDTO;
class UpdateDeviceGroupHwAlertingBody extends DeviceGroupHwAlertingDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { regex: { required: false, type: () => [String] }, items: { required: false, type: () => [String] } };
    }
}
exports.UpdateDeviceGroupHwAlertingBody = UpdateDeviceGroupHwAlertingBody;
class DeviceGroup {
    static _OPENAPI_METADATA_FACTORY() {
        return { device_group_id: { required: true, type: () => String }, label: { required: true, type: () => String }, class: { required: true, type: () => String }, hw_type: { required: true, type: () => String }, subsystem: { required: false, type: () => String }, regex: { required: false, type: () => [String] }, items: { required: false, type: () => [Object] }, enabled: { required: true, type: () => Boolean }, mailGroups: { required: true, type: () => [Object] }, integrations: { required: true, type: () => require("./elements/alert.elements").AlertIntegrations } };
    }
}
exports.DeviceGroup = DeviceGroup;
class DeviceGroupsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: false, type: () => [require("./deviceGroupHwAlerting.dto").DeviceGroup] } };
    }
}
exports.DeviceGroupsResponseDTO = DeviceGroupsResponseDTO;
class DeviceGroupResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: false, type: () => require("./deviceGroupHwAlerting.dto").DeviceGroup } };
    }
}
exports.DeviceGroupResponseDTO = DeviceGroupResponseDTO;
class DeviceGroupSave extends customGroup_dto_1.ItemGroup {
    static _OPENAPI_METADATA_FACTORY() {
        return { enabled: { required: true, type: () => Boolean }, mailGroupIds: { required: true, type: () => [Number] } };
    }
}
exports.DeviceGroupSave = DeviceGroupSave;
//# sourceMappingURL=deviceGroupHwAlerting.dto.js.map