"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FalconstorDataDescription = exports.FalconstorPropsOld = exports.FalconstorProps = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
const hostcfgData_types_1 = require("./hostcfgData.types");
class FalconstorProps extends deviceProps_1.ProtoRestDeviceProps {
    constructor() {
        super(...arguments);
        this.domains = [''];
        this.proto = hostcfgData_types_1.PROTO.HTTPS;
    }
}
exports.FalconstorProps = FalconstorProps;
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.ArrayItemType)(String),
    __metadata("design:type", Array)
], FalconstorProps.prototype, "domains", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.DefaultValue)(hostcfgData_types_1.PROTO.HTTPS),
    (0, hostcfg_metadata_1.EnumType)(hostcfgData_types_1.PROTO),
    __metadata("design:type", String)
], FalconstorProps.prototype, "proto", void 0);
class FalconstorPropsOld extends deviceProps_1.OldRestDeviceProps {
}
exports.FalconstorPropsOld = FalconstorPropsOld;
exports.FalconstorDataDescription = {
    domains: {
        required: true,
        type: "string",
        description: "Array of domains."
    },
    ...deviceProps_1.ProtoRestDeviceDescription
};
//# sourceMappingURL=falconstor.data.js.map