"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NutanixDataDescription = exports.NutanixProps = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
const hostcfgData_types_1 = require("./hostcfgData.types");
var ApiType;
(function (ApiType) {
    ApiType["Prism Element (API v1)"] = "element_old";
    ApiType["Prism Element (API v2)"] = "element";
    ApiType["Prism Central (API v3)"] = "central";
})(ApiType || (ApiType = {}));
class NutanixProps extends deviceProps_1.AuthBaseProps {
    constructor() {
        super(...arguments);
        this.host = undefined;
        this.type = ApiType["Prism Element (API v2)"];
    }
}
exports.NutanixProps = NutanixProps;
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], NutanixProps.prototype, "host", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.EnumType)(ApiType),
    (0, hostcfg_metadata_1.DefaultValue)(ApiType["Prism Element (API v2)"]),
    __metadata("design:type", String)
], NutanixProps.prototype, "type", void 0);
exports.NutanixDataDescription = {
    ...deviceProps_1.AuthBaseDescription,
    host: {
        required: true,
        type: "string",
    },
    protocol: {
        required: true,
        type: "string",
        possibleValues: Object.keys(hostcfgData_types_1.PROTO).map(key => hostcfgData_types_1.PROTO[key])
    },
    type: {
        required: true,
        type: "string",
        possibleValues: Object.keys(ApiType).map(key => ApiType[key]),
        description: "'Prism Element (API v1)' = 'element_old', 'Prism Element (API v2)' = 'element', 'Prism Central (API v3)' = 'central'"
    }
};
//# sourceMappingURL=nutanix.data.js.map