import { ExtensiveSshDeviceProps, IHostcfgDataDescription, OldSshDeviceProps } from "./deviceProps";
export declare enum SampleRate {
    FIVE = 5,
    TEN = 10
}
export declare class SwizProps extends ExtensiveSshDeviceProps {
    host: string;
    sampleRate: SampleRate;
}
export declare class SwizPropsOld extends OldSshDeviceProps {
    "sample-rate": string;
    "tierprice_tier0": string;
    "tierprice_tier0-nl": string;
    "tierprice_tier0-scm": string;
    "tierprice_tier1": string;
    "tierprice_tier2": string;
    "tierprice_currency": string;
}
export declare const SwizDataDescription: IHostcfgDataDescription;
