"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SwizDataDescription = exports.SwizPropsOld = exports.SwizProps = exports.SampleRate = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
var SampleRate;
(function (SampleRate) {
    SampleRate[SampleRate["FIVE"] = 5] = "FIVE";
    SampleRate[SampleRate["TEN"] = 10] = "TEN";
})(SampleRate || (exports.SampleRate = SampleRate = {}));
class SwizProps extends deviceProps_1.ExtensiveSshDeviceProps {
    constructor() {
        super(...arguments);
        this.host = undefined;
        this.sampleRate = SampleRate.FIVE;
    }
}
exports.SwizProps = SwizProps;
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], SwizProps.prototype, "host", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.DefaultValue)(SampleRate.FIVE),
    (0, hostcfg_metadata_1.EnumType)(SampleRate),
    __metadata("design:type", Number)
], SwizProps.prototype, "sampleRate", void 0);
class SwizPropsOld extends deviceProps_1.OldSshDeviceProps {
}
exports.SwizPropsOld = SwizPropsOld;
exports.SwizDataDescription = {
    host: {
        required: true,
        type: "string",
    },
    sampleRate: {
        required: false,
        type: "number",
        default: 5,
        possibleValues: [5, 10]
    },
    currency: {
        required: false,
        type: "string",
        default: "USD"
    },
    tier0: {
        required: false,
        type: "string",
    },
    tier1: {
        required: false,
        type: "string",
    },
    tierSCM: {
        required: false,
        type: "string",
    },
    enterpriseDisk: {
        required: false,
        type: "string",
    },
    nearlineDisk: {
        required: false,
        type: "string",
    },
    ...deviceProps_1.ExtensiveSshDeviceDescription
};
//# sourceMappingURL=swiz.data.js.map