import { BasicResponseDTO } from "./basicResponse.dto";
import { HostCfgDTO } from "./hostCfgResponse.dto";
export declare class ImportAuth {
    url: string;
    type: string;
    username: string;
    password: string;
    passphrase: string;
    fileName: string;
}
export declare class LparStorImportAuth {
    lparAuth?: ImportAuth;
    storAuth?: ImportAuth;
}
export declare class ImportResult {
    unsupportedDevices?: HostCfgDTO[];
    alreadyExistingConfiguration?: HostCfgDTO[];
    insertedDevices?: HostCfgDTO[];
}
export declare class ImportResultRespnse extends BasicResponseDTO {
    data?: ImportResult;
}
