"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogsResponseDTO = exports.UILog = exports.LogRequest = exports.LogItem = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class LogItem {
    static _OPENAPI_METADATA_FACTORY() {
        return { type: { required: true, type: () => Object }, label: { required: true, type: () => String }, file: { required: true, type: () => String }, url: { required: true, type: () => String }, path: { required: true, type: () => String } };
    }
}
exports.LogItem = LogItem;
class LogRequest {
    static _OPENAPI_METADATA_FACTORY() {
        return { sql: { required: false, type: () => String } };
    }
}
exports.LogRequest = LogRequest;
class UILog {
    static _OPENAPI_METADATA_FACTORY() {
        return { level: { required: true, type: () => Object }, log: { required: true, type: () => Object } };
    }
}
exports.UILog = UILog;
class LogsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./log.dto").LogItem] } };
    }
}
exports.LogsResponseDTO = LogsResponseDTO;
//# sourceMappingURL=log.dto.js.map