"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MailGroupResponseDTO = exports.MailGroupsResponseDTO = exports.MailGroup = exports.CreateMailGroupDTO = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class CreateMailGroupDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { label: { required: false, type: () => String }, mails: { required: false, type: () => [String] } };
    }
}
exports.CreateMailGroupDTO = CreateMailGroupDTO;
class MailGroup extends CreateMailGroupDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { mail_group_id: { required: true, type: () => Number }, user_id: { required: false, type: () => Number } };
    }
}
exports.MailGroup = MailGroup;
class MailGroupsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./mailGroup.dto").MailGroup] } };
    }
}
exports.MailGroupsResponseDTO = MailGroupsResponseDTO;
class MailGroupResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./mailGroup.dto").MailGroup } };
    }
}
exports.MailGroupResponseDTO = MailGroupResponseDTO;
//# sourceMappingURL=mailGroup.dto.js.map