"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicroserviceJobsResponseDTO = exports.MicroserviceJobDTO = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class MicroserviceJobDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { microservice: { required: false, type: () => String }, job: { required: true, type: () => String }, identification: { required: true, type: () => String }, start: { required: false, type: () => Number }, end: { required: false, type: () => Number }, status: { required: false, type: () => Object }, pid: { required: true, type: () => Number } };
    }
}
exports.MicroserviceJobDTO = MicroserviceJobDTO;
class MicroserviceJobsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./microserviceJob.dto").MicroserviceJobDTO] } };
    }
}
exports.MicroserviceJobsResponseDTO = MicroserviceJobsResponseDTO;
//# sourceMappingURL=microserviceJob.dto.js.map