"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ItemsResponseDTO = exports.ServerGroupResponseDTO = exports.ServerGroupsResponseDTO = exports.ServerGroupDTO = exports.Item = exports.ServerGroup = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class ServerGroup {
    static _OPENAPI_METADATA_FACTORY() {
        return { server_group_id: { required: true, type: () => String }, label: { required: true, type: () => String }, description: { required: true, type: () => String }, user_id: { required: false, type: () => Number }, items: { required: true, type: () => [require("./serverGroup.dto").Item] } };
    }
}
exports.ServerGroup = ServerGroup;
class Item {
    static _OPENAPI_METADATA_FACTORY() {
        return { item_id: { required: true, type: () => String }, label: { required: true, type: () => String }, hw_type: { required: true, type: () => String } };
    }
}
exports.Item = Item;
class ServerGroupDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { label: { required: true, type: () => String }, description: { required: true, type: () => String }, user_id: { required: false, type: () => Number }, items: { required: false, type: () => [String] }, hw_type: { required: false, type: () => String }, class: { required: false, type: () => String } };
    }
}
exports.ServerGroupDTO = ServerGroupDTO;
class ServerGroupsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./serverGroup.dto").ServerGroup] } };
    }
}
exports.ServerGroupsResponseDTO = ServerGroupsResponseDTO;
class ServerGroupResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./serverGroup.dto").ServerGroup } };
    }
}
exports.ServerGroupResponseDTO = ServerGroupResponseDTO;
class ItemsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./serverGroup.dto").Item] } };
    }
}
exports.ItemsResponseDTO = ItemsResponseDTO;
//# sourceMappingURL=serverGroup.dto.js.map