import { BasicResponseDTO } from './basicResponse.dto';
export declare class Tag {
    tag_id: string;
    label: string;
    user_id: number;
    createdAt?: string;
    updatedAt?: string;
    include_self: boolean;
}
export declare class CreateTag {
    label: string;
    include_self: boolean;
}
export declare class UpdateTag {
    old_label: string;
    new_label: string;
    include_self: boolean;
}
export declare class TagWithValueIndicator extends Tag {
    has_values?: boolean;
}
export declare class TagIdItemIds {
    item_ids: string[];
    tag_id: string;
}
export declare class TagWithValueIndicatorResponseDTO extends BasicResponseDTO {
    data: TagWithValueIndicator;
}
export declare class TagsWithValueIndicatorResponseDTO extends BasicResponseDTO {
    data: TagWithValueIndicator[];
}
export declare class TagResponseDTO extends BasicResponseDTO {
    data: Tag;
}
export declare class TagsResponseDTO extends BasicResponseDTO {
    data: Tag[];
}
