"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TargetDestinationResponseDTO = exports.TargetDestinationsResponseDTO = exports.TargetDestinationHostcfg = exports.TargetDestinationDTO = exports.SaveTargetDestination = exports.TargetDestinationBase = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class TargetDestinationBase {
    static _OPENAPI_METADATA_FACTORY() {
        return { destination: { required: true, type: () => String }, url: { required: true, type: () => String }, port: { required: true, type: () => Number }, token: { required: true, type: () => String } };
    }
}
exports.TargetDestinationBase = TargetDestinationBase;
class SaveTargetDestination extends TargetDestinationBase {
    static _OPENAPI_METADATA_FACTORY() {
        return { hostcfg_ids: { required: true, type: () => [String], nullable: true } };
    }
}
exports.SaveTargetDestination = SaveTargetDestination;
class TargetDestinationDTO extends TargetDestinationBase {
    static _OPENAPI_METADATA_FACTORY() {
        return { target_destination_id: { required: true, type: () => String }, hostcfgs: { required: true, type: () => [require("./targetDestination.dto").TargetDestinationHostcfg], nullable: true } };
    }
}
exports.TargetDestinationDTO = TargetDestinationDTO;
class TargetDestinationHostcfg {
    static _OPENAPI_METADATA_FACTORY() {
        return { hostcfg_id: { required: true, type: () => String }, label: { required: true, type: () => String } };
    }
}
exports.TargetDestinationHostcfg = TargetDestinationHostcfg;
class TargetDestinationsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./targetDestination.dto").TargetDestinationDTO] } };
    }
}
exports.TargetDestinationsResponseDTO = TargetDestinationsResponseDTO;
class TargetDestinationResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./targetDestination.dto").TargetDestinationDTO } };
    }
}
exports.TargetDestinationResponseDTO = TargetDestinationResponseDTO;
//# sourceMappingURL=targetDestination.dto.js.map