"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenResponseMetricsPort = exports.TokenResponseDTO = exports.TokenMetricsPortDTO = exports.TokenDTO = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class TokenDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { state: { required: true, type: () => Object }, token: { required: true, type: () => String }, user: { required: false, type: () => require("./usersResponse.dto").UserDTO } };
    }
}
exports.TokenDTO = TokenDTO;
class TokenMetricsPortDTO extends TokenDTO {
    constructor() {
        super(...arguments);
        this.port = 3030;
    }
    static _OPENAPI_METADATA_FACTORY() {
        return { port: { required: true, type: () => Number, default: 3030 } };
    }
}
exports.TokenMetricsPortDTO = TokenMetricsPortDTO;
class TokenResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./tokenResponse.dto").TokenDTO } };
    }
}
exports.TokenResponseDTO = TokenResponseDTO;
class TokenResponseMetricsPort extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./tokenResponse.dto").TokenMetricsPortDTO } };
    }
}
exports.TokenResponseMetricsPort = TokenResponseMetricsPort;
//# sourceMappingURL=tokenResponse.dto.js.map