import { LEVEL, RELOAD_PART } from '@const/websocketMessage.constants';
export type Level = typeof LEVEL[keyof typeof LEVEL];
export type ReloadPart = typeof RELOAD_PART[keyof typeof RELOAD_PART];
export interface AlertWS {
    header: string;
    url: string;
    text: string;
    level: Level;
    timestamp: number;
}
export declare class WebsocketMessage {
    event: string;
    message: AlertWS;
}
export declare class WebsocketReload {
    reload: ReloadPart;
}
export declare class WebsocketBody {
    event: string;
    message: WebsocketReload;
}
