"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AgentMapping = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const objectItem_entity_1 = require("./objectItem.entity");
let AgentMapping = class AgentMapping {
    static _OPENAPI_METADATA_FACTORY() {
        return { _item: { required: false, type: () => require("./objectItem.entity").ObjectItem }, item_id: { required: true, type: () => String }, _agent: { required: false, type: () => require("./objectItem.entity").ObjectItem }, agent_id: { required: true, type: () => String } };
    }
};
exports.AgentMapping = AgentMapping;
__decorate([
    (0, typeorm_1.OneToOne)(() => objectItem_entity_1.ObjectItem, (objectItem) => objectItem.mappings, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'item_id' }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], AgentMapping.prototype, "_item", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], AgentMapping.prototype, "item_id", void 0);
__decorate([
    (0, typeorm_1.OneToOne)(() => objectItem_entity_1.ObjectItem, (objectItem) => objectItem.mappings, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'agent_id' }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], AgentMapping.prototype, "_agent", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], AgentMapping.prototype, "agent_id", void 0);
exports.AgentMapping = AgentMapping = __decorate([
    (0, typeorm_1.Entity)({ name: 'agent_mappings', synchronize: false })
], AgentMapping);
//# sourceMappingURL=agentMapping.entity.js.map