import { AlertingGroup } from './alertingGroup.entity';
import { MailGroup } from './mailGroup.entity';
import { AlertingLaunch } from './alertingLaunch.entity';
import { AlertIntegrations } from '@xormon/common/elements/alert.elements';
export declare class Alerting {
    alerting_id: string;
    _alerting_group: AlertingGroup;
    alerting_group_id: string;
    metric: string;
    limit: number;
    peak: number;
    repeat: number;
    exclude_start: number;
    exclude_end: number;
    level: string;
    triggered: number;
    integrations: AlertIntegrations;
    mail_groups: MailGroup[];
    checked_until: Date | null;
    alerting_launches?: AlertingLaunch[];
}
