"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuditEvent = exports.auditEventId = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const audit_entity_1 = require("./audit.entity");
var auditEventId;
(function (auditEventId) {
    auditEventId[auditEventId["LOGIN"] = 1] = "LOGIN";
    auditEventId[auditEventId["LOGOUT"] = 2] = "LOGOUT";
    auditEventId[auditEventId["HOSTCFG_ADD"] = 3] = "HOSTCFG_ADD";
    auditEventId[auditEventId["HOSTCFG_EDIT"] = 4] = "HOSTCFG_EDIT";
    auditEventId[auditEventId["HOSTCFG_DELETE"] = 5] = "HOSTCFG_DELETE";
    auditEventId[auditEventId["USER_ADD"] = 6] = "USER_ADD";
    auditEventId[auditEventId["USER_EDIT"] = 7] = "USER_EDIT";
    auditEventId[auditEventId["USER_DELETE"] = 8] = "USER_DELETE";
    auditEventId[auditEventId["GROUP_ADD"] = 9] = "GROUP_ADD";
    auditEventId[auditEventId["GROUP_EDIT"] = 10] = "GROUP_EDIT";
    auditEventId[auditEventId["GROUP_DELETE"] = 11] = "GROUP_DELETE";
    auditEventId[auditEventId["SETTINGS_UPDATE"] = 12] = "SETTINGS_UPDATE";
    auditEventId[auditEventId["SETTINGS_DELETE"] = 13] = "SETTINGS_DELETE";
    auditEventId[auditEventId["PROXY_ADD"] = 14] = "PROXY_ADD";
    auditEventId[auditEventId["PROXY_UPDATE"] = 15] = "PROXY_UPDATE";
    auditEventId[auditEventId["PROXY_DELETE"] = 16] = "PROXY_DELETE";
    auditEventId[auditEventId["MICROSERVICE_START"] = 17] = "MICROSERVICE_START";
    auditEventId[auditEventId["MICROSERVICE_STOP"] = 18] = "MICROSERVICE_STOP";
    auditEventId[auditEventId["VARIABLE_ADD"] = 19] = "VARIABLE_ADD";
    auditEventId[auditEventId["VARIABLE_UPDATE"] = 20] = "VARIABLE_UPDATE";
    auditEventId[auditEventId["VARIALBE_DELETE"] = 21] = "VARIALBE_DELETE";
    auditEventId[auditEventId["IMPORTED_DEVICES"] = 22] = "IMPORTED_DEVICES";
})(auditEventId || (exports.auditEventId = auditEventId = {}));
let AuditEvent = class AuditEvent {
    static _OPENAPI_METADATA_FACTORY() {
        return { audit_event_id: { required: true, type: () => String }, label: { required: true, type: () => String }, text: { required: true, type: () => String }, audits: { required: true, type: () => [require("./audit.entity").Audit] } };
    }
};
exports.AuditEvent = AuditEvent;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", String)
], AuditEvent.prototype, "audit_event_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], AuditEvent.prototype, "label", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], AuditEvent.prototype, "text", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => audit_entity_1.Audit, (audit) => audit._event),
    __metadata("design:type", Array)
], AuditEvent.prototype, "audits", void 0);
exports.AuditEvent = AuditEvent = __decorate([
    (0, typeorm_1.Entity)({ name: 'audit_events', synchronize: false })
], AuditEvent);
//# sourceMappingURL=auditEvent.entity.js.map