"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomTaskMailGroupRelations = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const customTask_entity_1 = require("./customTask.entity");
const mailGroup_entity_1 = require("./mailGroup.entity");
let CustomTaskMailGroupRelations = class CustomTaskMailGroupRelations {
    static _OPENAPI_METADATA_FACTORY() {
        return { _custom_task: { required: true, type: () => require("./customTask.entity").CustomTask }, custom_task_id: { required: true, type: () => String }, _mail_group: { required: true, type: () => require("./mailGroup.entity").MailGroup }, mail_group_id: { required: true, type: () => Number } };
    }
};
exports.CustomTaskMailGroupRelations = CustomTaskMailGroupRelations;
__decorate([
    (0, typeorm_1.ManyToOne)(() => customTask_entity_1.CustomTask, (customTask) => customTask.custom_task_id, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: "custom_task_id" }),
    __metadata("design:type", customTask_entity_1.CustomTask)
], CustomTaskMailGroupRelations.prototype, "_custom_task", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)('uuid'),
    __metadata("design:type", String)
], CustomTaskMailGroupRelations.prototype, "custom_task_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => mailGroup_entity_1.MailGroup, (mailGroup) => mailGroup.mail_group_id, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: "mail_group_id" }),
    __metadata("design:type", mailGroup_entity_1.MailGroup)
], CustomTaskMailGroupRelations.prototype, "_mail_group", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)('int4'),
    __metadata("design:type", Number)
], CustomTaskMailGroupRelations.prototype, "mail_group_id", void 0);
exports.CustomTaskMailGroupRelations = CustomTaskMailGroupRelations = __decorate([
    (0, typeorm_1.Entity)({ name: 'custom_task_mail_group_relations', synchronize: false })
], CustomTaskMailGroupRelations);
//# sourceMappingURL=customTaskMailGroupRelations.entity.js.map