import { ItemGroupItem } from './itemGroupItem.entity';
import { ItemGroupParent } from './itemGroupParent.entity';
import { ItemGroupRegexParent } from './itemGroupRegexParent.entity';
import { ItemGroupTag } from './itemGroupTag.entity';
import { CustomGroup } from './customGroup.entity';
import { ItemGroupParentTag } from './itemGroupParentTag.entity';
import { Export } from './export.entity';
import { AlertingGroup } from './alertingGroup.entity';
import { ReportItem } from './reportItem.entity';
import { HwEventDeviceGroup } from './deviceGroupHwAlerting.entity';
export declare class ItemGroup {
    item_group_id: string;
    _custom_group?: CustomGroup;
    custom_group_id: string;
    regex: string[];
    intersection: boolean;
    items?: ItemGroupItem[];
    parents?: ItemGroupParent[];
    regex_parents?: ItemGroupRegexParent[];
    tags?: ItemGroupTag[];
    parent_tags?: ItemGroupParentTag[];
    export?: Export;
    alertingGroup?: AlertingGroup;
    report_item?: ReportItem;
    deviceGroup?: HwEventDeviceGroup;
}
