"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.As400Asp = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.As400Asp = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_as400_asp',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        mem_alloc: {
            type: 'float4',
            nullable: true,
        },
        mem_alloc_perc: {
            type: 'float4',
            nullable: true,
        },
        mem_free: {
            type: 'float4',
            nullable: true,
        },
        io_to_memory: {
            type: 'float4',
            nullable: true,
        },
        io_from_memory: {
            type: 'float4',
            nullable: true,
        },
        data_to_memory: {
            type: 'float4',
            nullable: true,
        },
        data_from_memory: {
            type: 'float4',
            nullable: true,
        },
        disk_io_aggreg: {
            type: 'float4',
            nullable: true,
        },
        disk_busy: {
            type: 'float4',
            nullable: true,
        },
        svc_time: {
            type: 'float4',
            nullable: true,
        },
        wait_time: {
            type: 'float4',
            nullable: true,
        },
        latency_time: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        },
    },
});
//# sourceMappingURL=as400Asp.entity.js.map