"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IbmcossPool = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.IbmcossPool = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_ibmcoss_pool',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        capacity_total: {
            type: 'float4',
            nullable: true,
        },
        capacity_used: {
            type: 'float4',
            nullable: true,
        },
        capacity_free: {
            type: 'float4',
            nullable: true,
        },
        capacity_used_percent: {
            type: 'float4',
            nullable: true,
        },
        rebuild_queue: {
            type: 'float4',
            nullable: true,
        },
        acknowledge_time: {
            type: 'float4',
            nullable: true,
        },
        rebuild_bytes_in: {
            type: 'float4',
            nullable: true,
        },
        rebuild_bytes_out: {
            type: 'float4',
            nullable: true,
        },
        rebuild_bytes_total: {
            type: 'float4',
            nullable: true,
        },
        rebuild_writes_in: {
            type: 'float4',
            nullable: true,
        },
        rebuild_writes_out: {
            type: 'float4',
            nullable: true,
        },
        rebuild_writes_total: {
            type: 'float4',
            nullable: true,
        },
        rebuild_deletes_in: {
            type: 'float4',
            nullable: true,
        },
        rebuild_deletes_out: {
            type: 'float4',
            nullable: true,
        },
        rebuild_deletes_total: {
            type: 'float4',
            nullable: true,
        },
        scanned_srcs: {
            type: 'float4',
            nullable: true,
        },
        slices: {
            type: 'float4',
            nullable: true,
        },
        network_rx: {
            type: 'float4',
            nullable: true,
        },
        network_tx: {
            type: 'float4',
            nullable: true,
        },
        network_rate: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        },
        tmp8: {
            type: 'float4',
            nullable: true,
        },
        tmp9: {
            type: 'float4',
            nullable: true,
        },
        tmp10: {
            type: 'float4',
            nullable: true,
        },
        tmp11: {
            type: 'float4',
            nullable: true,
        },
        tmp12: {
            type: 'float4',
            nullable: true,
        },
        tmp13: {
            type: 'float4',
            nullable: true,
        },
        tmp14: {
            type: 'float4',
            nullable: true,
        },
        tmp15: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=ibmcossPool.entity.js.map