"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KubernetesNamespace = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.KubernetesNamespace = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_kubernetes_namespace',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        cpu: {
            type: 'float4',
            nullable: true,
        },
        memory: {
            type: 'float4',
            nullable: true,
        },
        container_fs_writes: {
            type: 'float4',
            nullable: true,
        },
        container_fs_reads: {
            type: 'float4',
            nullable: true,
        },
        container_fs_writes_bytes: {
            type: 'float4',
            nullable: true,
        },
        container_fs_reads_bytes: {
            type: 'float4',
            nullable: true,
        },
        container_network_receive_bytes: {
            type: 'float4',
            nullable: true,
        },
        container_network_transmit_bytes: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=kubernetesNamespace.entity.js.map