"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LanothersPhysical = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.LanothersPhysical = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_lanothers_physical',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        data_out: {
            type: 'float4',
            nullable: true,
        },
        data_in: {
            type: 'float4',
            nullable: true,
        },
        utilization_out: {
            type: 'float4',
            nullable: true,
        },
        utilization_in: {
            type: 'float4',
            nullable: true,
        },
        unicast_pkts_out: {
            type: 'float4',
            nullable: true,
        },
        unicast_pkts_in: {
            type: 'float4',
            nullable: true,
        },
        error_out: {
            type: 'float4',
            nullable: true,
        },
        error_in: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        },
        tmp8: {
            type: 'float4',
            nullable: true,
        },
        tmp9: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=lanothersPhysical.entity.js.map