"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinuxWlm = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.LinuxWlm = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_linux_wlm',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        wlm_cpu: {
            type: 'float4',
            nullable: true,
        },
        wlm_mem: {
            type: 'float4',
            nullable: true,
        },
        wlm_dkio: {
            type: 'float4',
            nullable: true,
        },
    },
});
//# sourceMappingURL=linuxWlm.entity.js.map