"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CmcPool = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const Compose_1 = require("./Compose");
let device = 'power';
let section = 'cmcpool';
let metricNames = [
    'cm_aix', 'cm_otherlinux',
    'cm_sles', 'cm_vios', 'cm_ibmi',
    'cm_rhel', 'cm_rhelcoreos', 'cm_total',
    'cmc_aix', 'cmc_linuxvios', 'cmc_anyos',
    'cmc_sles', 'cmc_vios', 'cmc_ibmi',
    'cmc_rhel', 'cmc_rhelcoreos', 'cmc_total',
    'cmm_aix', 'cmm_linuxvios', 'cmm_anyos',
    'cmm_sles', 'cmm_vios', 'cmm_ibmi',
    'cmm_rhel', 'cmm_rhelcoreos', 'cmm_total',
    'mm_aix', 'mm_otherlinux',
    'mm_sles', 'mm_vios', 'mm_ibmi',
    'mm_rhel', 'mm_rhelcoreos', 'mm_total',
    'mm_systemother',
    'mm_credits', 'mm_minutes',
    'base_memory',
    'base_core_any_os', 'base_core_linuxvios',
    'base_core_rhel', 'base_core_rhcos',
    'base_core_sles', 'base_core_aix',
    'base_core_ibmi',
    'tmp0', 'tmp1', 'tmp2', 'tmp3',
    'tmp4', 'tmp5', 'tmp6', 'tmp7'
];
let coreObject = (0, Compose_1.prepareCoreObject)(device, section, metricNames);
exports.CmcPool = new typeorm_1.EntitySchema(coreObject);
//# sourceMappingURL=powerCmcpool.entity.js.map