"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PowerVirtualethernet = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.PowerVirtualethernet = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_power_virtualethernet',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        sentBytes: {
            type: 'float4',
            nullable: true,
        },
        receivedBytes: {
            type: 'float4',
            nullable: true,
        },
        sentPackets: {
            type: 'float4',
            nullable: true,
        },
        receivedPackets: {
            type: 'float4',
            nullable: true,
        },
        sentPhysicalBytes: {
            type: 'float4',
            nullable: true,
        },
        receivedPhysicalBytes: {
            type: 'float4',
            nullable: true,
        },
        sentPhysicalPackets: {
            type: 'float4',
            nullable: true,
        },
        receivedPhysicalPackets: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=powerVirtualethernet.entity.js.map