"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimescaledbSchema = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.TimescaledbSchema = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_timescaledb_schema',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        size: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=timescaledbSchema.entity.js.map