"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsFixed_disk = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.WindowsFixed_disk = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_windows_fixed_disk',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        UsedSpace: {
            type: 'float4',
            nullable: true,
        },
        Size: {
            type: 'float4',
            nullable: true,
        },
        DiskReadBytesPersec: {
            type: 'float4',
            nullable: true,
        },
        DiskWriteBytesPerse: {
            type: 'float4',
            nullable: true,
        },
        DiskReadsPersec: {
            type: 'float4',
            nullable: true,
        },
        DiskWritesPersec: {
            type: 'float4',
            nullable: true,
        },
        AvgDisksecPerRead: {
            type: 'float4',
            nullable: true,
        },
        AvgDisksecPerReadB: {
            type: 'float4',
            nullable: true,
        },
        AvgDisksecPerWrite: {
            type: 'float4',
            nullable: true,
        },
        AvgDisksecPerWriteB: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
    },
});
//# sourceMappingURL=windowsFixed_disk.entity.js.map