"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsJob = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.WindowsJob = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_windows_job',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        time_1_sec: {
            type: 'float4',
            nullable: true,
        },
        time_difference: {
            type: 'float4',
            nullable: true,
        },
        rss: {
            type: 'float4',
            nullable: true,
        },
        vzs: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
    },
});
//# sourceMappingURL=windowsJob.entity.js.map