import { HwType } from './hwType.entity';
import { MicroserviceData } from './microserviceData.entity';
import { MicroserviceJob } from './microserviceJobs.entity';
import { MicroserviceJobStatus } from './microserviceJobsStatus.entity';
export declare class Microservice {
    microservice: string;
    label: string;
    script: string;
    host: string;
    port: string;
    hw_type_entity?: HwType;
    hw_type: string;
    onStartup: boolean;
    needConf: boolean;
    readonly updatedAt?: Date;
    data?: MicroserviceData[];
    jobs?: MicroserviceJob[];
    jobs_status?: MicroserviceJobStatus[];
}
