import { ReportItem } from './reportItem.entity';
import { ReportFile } from './reportFile.entity';
import { MailGroup } from './mailGroup.entity';
import { RecurrenceElement } from '../common/elements/report.elements';
import { User } from './user.entity';
export declare class Report {
    report_id: string;
    label: string;
    recurrence: RecurrenceElement | null;
    last_run_at: Date | null;
    created_at: Date;
    updated_at: Date;
    user_id: number;
    created_by?: User;
    disabled: boolean;
    on_generate_create_report_file: boolean;
    report_items?: ReportItem[];
    report_files?: ReportFile[];
    mail_groups?: MailGroup[];
}
