import { Report } from './report.entity';
import { ReportItemFormat, ReportItemType } from '@xormon/common/constants/reportItem.constants';
import { ReportItemDataElement } from '@xormon/common/elements/reportItem.elements';
import { Class } from './class.entity';
import { HwType } from './hwType.entity';
import { ItemGroup } from './itemGroup.entity';
import { CustomGroup } from './customGroup.entity';
export declare class ReportItem {
    report_item_id: string;
    report?: Report;
    report_id: string;
    format: ReportItemFormat;
    type: ReportItemType;
    data: ReportItemDataElement;
    item_index: number;
    _class?: Class;
    class: string;
    _hw_type?: HwType;
    hw_type: string;
    subsystem: string;
    _item_group?: ItemGroup;
    item_group_id: string;
    _custom_group?: CustomGroup;
    custom_group_id: string;
}
