"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServerGroupItems = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const objectItem_entity_1 = require("./objectItem.entity");
const serverGroup_entity_1 = require("./serverGroup.entity");
let ServerGroupItems = class ServerGroupItems {
    static _OPENAPI_METADATA_FACTORY() {
        return { server_group_id: { required: true, type: () => String }, item_id: { required: true, type: () => String }, _server_group: { required: false, type: () => require("./serverGroup.entity").ServerGroup }, _item: { required: false, type: () => require("./objectItem.entity").ObjectItem }, isPrimary: { required: true, type: () => Boolean }, createdAt: { required: false, type: () => Date } };
    }
};
exports.ServerGroupItems = ServerGroupItems;
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], ServerGroupItems.prototype, "server_group_id", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], ServerGroupItems.prototype, "item_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => serverGroup_entity_1.ServerGroup, (serverGroup) => serverGroup.server_group_items, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'server_group_id' }),
    __metadata("design:type", serverGroup_entity_1.ServerGroup)
], ServerGroupItems.prototype, "_server_group", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => objectItem_entity_1.ObjectItem, (objectItem) => objectItem.server_group_items, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'item_id' }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], ServerGroupItems.prototype, "_item", void 0);
__decorate([
    (0, typeorm_1.Column)({ name: "is_primary" }),
    __metadata("design:type", Boolean)
], ServerGroupItems.prototype, "isPrimary", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ name: 'created_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], ServerGroupItems.prototype, "createdAt", void 0);
exports.ServerGroupItems = ServerGroupItems = __decorate([
    (0, typeorm_1.Entity)({ name: 'server_group_items', synchronize: false })
], ServerGroupItems);
//# sourceMappingURL=serverGroupItems.entity.js.map