import { BasicResponseDTO } from '@xormon/common/basicResponse.dto';
import { HealthStatusService, IHostcfgStatus } from './healthStatus.service';
import { HealthStatus } from '@xormon/entity/healthStatus.entity';
export declare class HealthStatusController {
    private readonly healthStatusService;
    private logger;
    constructor(healthStatusService: HealthStatusService);
    saveHealthStatus(healthStatus: HealthStatus[]): Promise<BasicResponseDTO>;
    saveStatus(hostcfgStatus: IHostcfgStatus): Promise<BasicResponseDTO>;
}
