"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FreeVersionMiddleware = void 0;
const common_1 = require("@nestjs/common");
const License_1 = require("../config/License");
let FreeVersionMiddleware = class FreeVersionMiddleware {
    constructor() { }
    async use(req, res, next) {
        if (await License_1.License.hasAnyValid()) {
            next();
        }
        else {
            res.status(common_1.HttpStatus.PAYMENT_REQUIRED).send({
                statusCode: common_1.HttpStatus.PAYMENT_REQUIRED,
                error: 'Invalid license',
                message: 'This endpoint is not accessible in the free version. The Public Api service is only available to customers with Premium Support: https://xormon.com/support-ng.php',
            });
        }
    }
};
exports.FreeVersionMiddleware = FreeVersionMiddleware;
exports.FreeVersionMiddleware = FreeVersionMiddleware = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [])
], FreeVersionMiddleware);
//# sourceMappingURL=freeVersion.middleware.js.map