"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchHistoryDate1716279659906 = void 0;
class SearchHistoryDate1716279659906 {
    constructor() {
        this.name = 'SearchHistoryDate1716279659906';
    }
    async up(queryRunner) {
        await queryRunner.query(`
    
    CREATE TABLE public.recently_searched (
      recent_search_id uuid DEFAULT uuid_generate_v4() NOT NULL,
      user_id int4 NOT NULL,
      search_query varchar NOT NULL,
      updated_at timestamptz DEFAULT now() NOT NULL,
      CONSTRAINT "PK_31aff23dec5ff1211fe56792eb4" PRIMARY KEY (recent_search_id)
    );
    
    
    ALTER TABLE public.recently_searched ADD CONSTRAINT "FK_272053ae593b9b2a6d0c169536b" FOREIGN KEY (user_id) REFERENCES public.users(user_id) ON DELETE CASCADE;
    `);
    }
    async down(queryRunner) {
        await queryRunner.query(`DROP TABLE public.recently_searched`);
    }
}
exports.SearchHistoryDate1716279659906 = SearchHistoryDate1716279659906;
//# sourceMappingURL=1716279659906-SearchHistoryDate.migration.js.map