"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupAlerts1722940103007 = void 0;
class GroupAlerts1722940103007 {
    constructor() {
        this.name = 'GroupAlerts1722940103007';
    }
    async up(queryRunner) {
        await queryRunner.query(`
      ALTER TABLE public.alerting_groups ADD group_id int4;
      ALTER TABLE public.alerting_groups ADD CONSTRAINT "FK_910fc75b17c1c446b4b012dda11" FOREIGN KEY (group_id) REFERENCES public."groups"(group_id) ON DELETE CASCADE;
    `);
    }
    async down(queryRunner) {
        await queryRunner.query(`
      DELETE FROM public.alerting_groups WHERE group_id IS NOT NULL;
      ALTER TABLE public.alerting_groups DROP COLUMN group_id;
    `);
    }
}
exports.GroupAlerts1722940103007 = GroupAlerts1722940103007;
//# sourceMappingURL=1722940103007-GroupAlerts.migration.js.map