"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatastoreVmProvisionedUsed1723812646900 = void 0;
const DatabaseHelper_1 = require("../../config/DatabaseHelper");
class DatastoreVmProvisionedUsed1723812646900 {
    constructor() {
        this.name = 'DatastoreVmProvisionedUsed1723812646900';
    }
    async up(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_vmware_datastore_vm', 'tmp0', 'provisioned_space', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_vmware_datastore_vm', 'tmp1', 'used_space', queryRunner);
    }
    async down(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_vmware_datastore_vm', 'provisioned_space', 'tmp0', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_vmware_datastore_vm', 'used_space', 'tmp1', queryRunner);
    }
}
exports.DatastoreVmProvisionedUsed1723812646900 = DatastoreVmProvisionedUsed1723812646900;
//# sourceMappingURL=1723812646900-DatastoreVmProvisionedUsed.migration.js.map