"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SQLServerLocks1725860600000 = void 0;
const DatabaseHelper_1 = require("../../config/DatabaseHelper");
class SQLServerLocks1725860600000 {
    constructor() {
        this.name = 'SQLServerLocks1725860600000';
    }
    async up(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_sqlserver_sqlsfolder', 'tmp0', 'LocksWaitssec', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_sqlserver_sqlsfolder', 'tmp1', 'LocksRequestssec', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_sqlserver_sqlsfolder', 'tmp2', 'LockTimeoutssec', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_sqlserver_sqlsfolder', 'tmp3', 'NumberofDeadlockssec', queryRunner);
    }
    async down(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_sqlserver_sqlsfolder', 'LocksWaitssec', 'tmp0', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_sqlserver_sqlsfolder', 'LocksRequestssec', 'tmp1', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_sqlserver_sqlsfolder', 'LockTimeoutssec', 'tmp2', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_sqlserver_sqlsfolder', 'NumberofDeadlockssec', 'tmp3', queryRunner);
    }
}
exports.SQLServerLocks1725860600000 = SQLServerLocks1725860600000;
//# sourceMappingURL=1725860600000-SQLServerLocks.migration.js.map