"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DebugController = void 0;
const openapi = require("@nestjs/swagger");
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const xormon_exception_1 = require("../../exception/xormon.exception");
const Prediction_1 = require("../metrics/Prediction");
let DebugController = class DebugController {
    async predictionReload() {
        try {
            await Prediction_1.Prediction.reloadPoolCapacityTable();
        }
        catch (e) {
            throw new xormon_exception_1.XormonException("Prediction reload failed", common_1.HttpStatus.INTERNAL_SERVER_ERROR);
        }
        return {
            statusCode: common_1.HttpStatus.OK,
            message: "Prediction data reloaded"
        };
    }
};
exports.DebugController = DebugController;
__decorate([
    (0, common_1.Get)('prediction/reload'),
    openapi.ApiResponse({ status: 200, type: require("../../common/basicResponse.dto").BasicResponseDTO }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], DebugController.prototype, "predictionReload", null);
exports.DebugController = DebugController = __decorate([
    (0, swagger_1.ApiTags)('Debug'),
    (0, swagger_1.ApiBearerAuth)(),
    (0, common_1.Controller)('api/debug')
], DebugController);
//# sourceMappingURL=debug.controller.js.map