import { HealthStatusMirrorDTO } from "@xormon/common/healthStatusMirror.dto";
import { ConsistencyGroup } from "@xormon/entity/consistencyGroup.entity";
import { HealthStatusMirror } from "@xormon/entity/healthStatusMirror.entity";
import { HealthStatusMirrorRel } from "@xormon/entity/healthStatusMirrorRel.entity";
import { Repository } from "typeorm";
export declare class HealthStatusMirrorService {
    private healthStatusMirrorRepository;
    private consistencyGroupRepository;
    private healthStatusMirrorRelRepository;
    constructor(healthStatusMirrorRepository: Repository<HealthStatusMirror>, consistencyGroupRepository: Repository<ConsistencyGroup>, healthStatusMirrorRelRepository: Repository<HealthStatusMirrorRel>);
    getMirrors(): Promise<HealthStatusMirrorDTO[]>;
}
