import { OnModuleInit } from '@nestjs/common';
import { LdapCertificate } from '@xormon/entity/ldapCertificate.entity';
import { Repository } from 'typeorm';
export declare class LdapCertService implements OnModuleInit {
    private ldapCertificateRepository;
    constructor(ldapCertificateRepository: Repository<LdapCertificate>);
    onModuleInit(): void;
    saveLdapCertificate(data: string, fileName: string): Promise<boolean>;
    createLdapCertificatePath(fileName: string): string;
    checkLdapCertificatePath(path: string): Promise<boolean>;
    getLdapCertificate(ldapCertificateId: string): Promise<LdapCertificate>;
    getLdapCertificates(): Promise<LdapCertificate[]>;
    deleteLdapCertificates(ldapCertificateId: string): Promise<boolean>;
}
