"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LdapModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const groupLdapGroup_entity_1 = require("../../entity/groupLdapGroup.entity");
const ldap_entity_1 = require("../../entity/ldap.entity");
const ldapGroup_entity_1 = require("../../entity/ldapGroup.entity");
const ldap_controller_1 = require("./ldap.controller");
const ldap_service_1 = require("./ldap.service");
const ldapCertificate_entity_1 = require("../../entity/ldapCertificate.entity");
const ldap_cert_service_1 = require("./ldap.cert.service");
let LdapModule = class LdapModule {
};
exports.LdapModule = LdapModule;
exports.LdapModule = LdapModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([ldap_entity_1.Ldap, ldapGroup_entity_1.LdapGroup, groupLdapGroup_entity_1.GroupLdapGroup, ldapCertificate_entity_1.LdapCertificate])],
        controllers: [ldap_controller_1.LdapController],
        providers: [ldap_service_1.LdapService, ldap_cert_service_1.LdapCertService],
        exports: [typeorm_1.TypeOrmModule, ldap_service_1.LdapService],
    })
], LdapModule);
//# sourceMappingURL=ldap.module.js.map