import { Item } from "@xormon/common/architecture.dto";
import { Export, OverviewBox, OverviewRequest, Tab } from "@xormon/common/pageResponse.dto";
import { PlainReportItem } from "@xormon/common/reportItem.dto";
import { ObjectItem } from "@xormon/entity/objectItem.entity";
import { Request } from "express";
import { User as UserEntity } from "@xormon/entity/user.entity";
export declare class Overview {
    private hw_type;
    private categories;
    constructor(hw_type: string);
    addCategory(label: string, items: Item[]): void;
    form(): OverviewBox;
    static getPage(request: OverviewRequest, req: Request): Promise<Tab>;
    static vmware(item: ObjectItem, request: OverviewRequest): Promise<Tab>;
    static power(item: ObjectItem, request: OverviewRequest): Promise<Tab>;
    static ovirt(item: ObjectItem, request: OverviewRequest): Promise<Tab>;
    static proxmox(item: ObjectItem, request: OverviewRequest): Promise<Tab>;
    static nutanix(item: ObjectItem, request: OverviewRequest): Promise<Tab>;
    static storage(item: ObjectItem, request: OverviewRequest, _request: Request, user?: UserEntity): Promise<Tab>;
    static createPdfExport(tab: Tab, request: OverviewRequest, item: ObjectItem): Promise<Export>;
    static tabContentToReportItems(tab: Tab, request: OverviewRequest): Promise<PlainReportItem[]>;
}
