import { TableGroup as TGroup, TableHeaderGroupBox, TableStyleClass } from '@xormon/common/pageResponse.dto';
import { ITableColumn } from './Table';
declare class HeaderDefinition {
    value: string;
    headerIndex?: number;
    styleClass?: TableStyleClass;
    group?: string;
    number?: boolean;
}
export declare class TableHeaderGroup {
    private header;
    private rows;
    private groups;
    private lastIndex;
    private orientation;
    constructor();
    setOrientation(orientation: 'vertical' | 'horizontal'): void;
    addHeader(header: HeaderDefinition): this;
    addGroup(group: TGroup): this;
    sortByIndex(i: number): void;
    addRow(data: ITableColumn[]): this;
    addRows(data: ITableColumn[][]): this;
    generateBox(): TableHeaderGroupBox;
}
export {};
