"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.Color = void 0;
class Color {
    static aggregated(length) {
        return this.colors.slice(0, length);
    }
    static getIndexColor(index) {
        return this.colors[index % this.colors.length];
    }
}
exports.Color = Color;
_a = Color;
Color.colors = [
    "#ea6767",
    "#4e669d",
    "#3e8c8c",
    "#ff9b9b",
    "#ffc89b",
    "#69adad",
    "#8c7cbf",
    "#82d682",
    "#ffde9b",
    "#798dbb",
    "#efe57c",
    "#d2f193",
    "#d682b2",
    "#ffee9b",
    "#a275bb",
    "#eaa267",
    "#6451a1",
    "#ead367",
    "#52bb52",
    "#eae36b",
    "#b1da60",
    "#bb538e",
    "#eabe67",
    "#7f499c",
    "#aa2121",
    "#146666",
    "#aa5f21",
    "#352175",
    "#1a881a",
    "#aa9221",
    "#203872",
    "#aaaa21",
    "#749e1f",
    "#881a58",
    "#aa7c21",
    "#531b71",
    "#830606",
    "#200e5a",
    "#833f06",
    "#044e4e",
    "#838306",
    "#056905",
    "#835906",
    "#0d2457",
    "#537a06",
    "#836d06",
    "#69053e",
    "#3b0957"
];
Color.pallete = {
    red: '#ff9895',
    redDark: '#d62728',
    purple: '#d7afe8',
    purpleDark: '#873db1',
    green: '#ADEB9E',
    greenDark: '#2ca02c',
    yellow: '#fff055',
    yellowDark: '#d3be00',
    orange: '#ffc89b',
    orangeDark: '#e98b2a',
    blue: '#8ad0e8',
    blueDark: '#1f77b4',
    gray: '#afafaf',
    black: '#000000',
    brown: '#db9b8c',
    brownDark: '#8a3324',
    khaki: '#8A865D',
    lightblue: '#8ad0e8',
    totalRed: '#d62728',
    totalBlue: '#1f77b4',
    cyan: '#00ffff',
};
Color.metric = {
    used: _a.pallete.redDark,
    total: _a.pallete.black,
    free: _a.pallete.greenDark,
    read: _a.pallete.redDark,
    write: _a.pallete.blueDark
};
//# sourceMappingURL=Color.js.map