import { OnGatewayConnection } from '@nestjs/websockets';
import { Server } from 'socket.io';
import { MicroservicesService } from './microservices.service';
export declare class MicroservicesGateway implements OnGatewayConnection {
    private readonly microservicesService;
    private readonly DEFAULT_TIMEOUT;
    private readonly TIMEOUT_PER_HW_TYPE;
    constructor(microservicesService: MicroservicesService);
    server: Server;
    handleConnection(socket: any, data: any): Promise<void>;
    connTest(protocol: string, host: string, port: number): Promise<unknown>;
}
