import { BasicResponseDTO } from '@xormon/common/basicResponse.dto';
import { LoginRequestDTO } from '@xormon/common/session.dto';
import { UsersService } from '@xormon/service/users/users.service';
import { Request } from 'express';
import { LdapService } from '../ldap/ldap.service';
export declare class SessionController {
    private readonly usersService;
    private readonly ldapService;
    constructor(usersService: UsersService, ldapService: LdapService);
    logout(req: Request): BasicResponseDTO;
    login(req: Request, loginRequest: LoginRequestDTO): Promise<BasicResponseDTO>;
}
