import { JobMapType } from "../taskQueue.service";
type WorkerStatus = "running" | "waiting" | "stopped" | "errored";
export declare class TaskWorker {
    private pollIntervalInMs;
    private jobMap;
    private workerId;
    private interval;
    private status;
    private taskMonitor;
    constructor(pollIntervalInMs: number, jobMap: JobMapType, workerId: number);
    private pollForTasks;
    start(): void;
    stop(): void;
    setPollInterval(interval: number): void;
    getStatus(): WorkerStatus;
    notify(): void;
    private clear;
}
export {};
