import { AppService } from './app.service';
import { BackendResponseDTO, DevicesResponseDTO, LicenseLimitsResponseDTO, ServicesResponseDTO, TablesResponseDTO } from './common/backendResponse.dto';
import { BasicResponseDTO } from './common/basicResponse.dto';
import { RemoteInfoDto } from "@dto/remoteInfo.dto";
export declare class AppController {
    private readonly appService;
    constructor(appService: AppService);
    getInfo(): Promise<BackendResponseDTO>;
    getInfoToken(): Promise<BasicResponseDTO>;
    getInfoRemote(body: RemoteInfoDto): Promise<BasicResponseDTO>;
    getTables(): Promise<TablesResponseDTO>;
    getServices(): Promise<ServicesResponseDTO>;
    getDevices(): Promise<DevicesResponseDTO>;
    getLicenseLimits(): Promise<LicenseLimitsResponseDTO>;
}
