"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupResponseDTO = exports.LdapGroupsResponseDTO = exports.GroupsResponseDTO = exports.LdapGroup = exports.UpdateLdapGroupDTO = exports.LdapGroupBase = exports.Group = exports.PartialUser = exports.GroupDTO = exports.AdminFeatures = exports.AdminRoles = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class AdminRoles {
    static _OPENAPI_METADATA_FACTORY() {
        return { class: { required: false, type: () => [String] }, hwType: { required: false, type: () => [String] } };
    }
}
exports.AdminRoles = AdminRoles;
class AdminFeatures {
    static _OPENAPI_METADATA_FACTORY() {
        return { deviceConfig: { required: false, type: () => Boolean }, heatmapTiers: { required: false, type: () => Boolean } };
    }
}
exports.AdminFeatures = AdminFeatures;
class GroupDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { name: { required: true, type: () => String }, description: { required: true, type: () => String }, user_ids: { required: false, type: () => [Number] }, manages: { required: false, type: () => require("./groupsResponse.dto").AdminRoles }, ldapGroups: { required: false, type: () => [require("./groupsResponse.dto").LdapGroupBase] } };
    }
}
exports.GroupDTO = GroupDTO;
class PartialUser {
    static _OPENAPI_METADATA_FACTORY() {
        return { user_id: { required: true, type: () => Number }, username: { required: true, type: () => String }, email: { required: true, type: () => String }, active: { required: true, type: () => Boolean } };
    }
}
exports.PartialUser = PartialUser;
class Group {
    static _OPENAPI_METADATA_FACTORY() {
        return { group_id: { required: true, type: () => Number }, name: { required: true, type: () => String }, description: { required: true, type: () => String }, title: { required: false, type: () => String }, users: { required: false, type: () => [require("./groupsResponse.dto").PartialUser] }, ldapGroups: { required: false, type: () => [require("./groupsResponse.dto").LdapGroupBase] } };
    }
}
exports.Group = Group;
class LdapGroupBase {
    static _OPENAPI_METADATA_FACTORY() {
        return { ldap_id: { required: true, type: () => String }, ldap_group: { required: true, type: () => String } };
    }
}
exports.LdapGroupBase = LdapGroupBase;
class UpdateLdapGroupDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { ldap_groups: { required: true, type: () => [require("./groupsResponse.dto").LdapGroupBase] } };
    }
}
exports.UpdateLdapGroupDTO = UpdateLdapGroupDTO;
class LdapGroup extends LdapGroupBase {
    static _OPENAPI_METADATA_FACTORY() {
        return { ldap_label: { required: true, type: () => String } };
    }
}
exports.LdapGroup = LdapGroup;
class GroupsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./groupsResponse.dto").Group] } };
    }
}
exports.GroupsResponseDTO = GroupsResponseDTO;
class LdapGroupsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./groupsResponse.dto").LdapGroup] } };
    }
}
exports.LdapGroupsResponseDTO = LdapGroupsResponseDTO;
class GroupResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./groupsResponse.dto").Group } };
    }
}
exports.GroupResponseDTO = GroupResponseDTO;
//# sourceMappingURL=groupsResponse.dto.js.map