"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HealthStatusItemDTO = exports.HealthStatusHwTypeDTO = exports.HealthStatusHwTypesDTO = exports.HealthStatusHostCfgDTO = exports.HealthStatusHostsCfgDTO = exports.HostcfgStatusDTO = exports.HealthStatusHwType = exports.HealthStatusSeverityDTO = exports.CountDTO = exports.Count = exports.HostcfgStatus = exports.HealthStatusSeverity = exports.HealthStatusHostCfg = exports.StatusHostCfgExtended = exports.StatusHostCfgBase = exports.HealthStatusSubsystem = exports.HealthStatusItem = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class HealthStatusItem {
    static _OPENAPI_METADATA_FACTORY() {
        return { label: { required: true, type: () => String }, item_id: { required: true, type: () => String }, status: { required: true, type: () => String }, updated: { required: false, type: () => String }, data: { required: true, type: () => Object } };
    }
}
exports.HealthStatusItem = HealthStatusItem;
class HealthStatusSubsystem {
    static _OPENAPI_METADATA_FACTORY() {
        return { subsystem: { required: true, type: () => String }, status: { required: true, type: () => String }, items: { required: true, type: () => [require("./healthStatus.dto").HealthStatusItem] } };
    }
}
exports.HealthStatusSubsystem = HealthStatusSubsystem;
class StatusHostCfgBase {
    static _OPENAPI_METADATA_FACTORY() {
        return { class: { required: true, type: () => String }, hw_type: { required: true, type: () => String }, label: { required: true, type: () => String }, status: { required: true, type: () => String }, item_id: { required: true, type: () => String }, updatedAt: { required: true, type: () => Number }, note: { required: true, type: () => String }, hw_type_label: { required: true, type: () => String }, ignored: { required: true, type: () => Boolean }, ignore_reason: { required: true, type: () => String }, url: { required: true, type: () => String } };
    }
}
exports.StatusHostCfgBase = StatusHostCfgBase;
class StatusHostCfgExtended {
    static _OPENAPI_METADATA_FACTORY() {
        return { class: { required: true, type: () => String }, hw_type: { required: true, type: () => String }, label: { required: true, type: () => String }, status: { required: true, type: () => String }, data: { required: true, type: () => Number }, connection: { required: true, type: () => Number }, item_id: { required: true, type: () => String }, updatedAt: { required: true, type: () => Number }, note: { required: true, type: () => String }, hw_type_label: { required: true, type: () => String }, ignored: { required: true, type: () => Boolean }, ignore_reason: { required: true, type: () => String }, url: { required: true, type: () => String } };
    }
}
exports.StatusHostCfgExtended = StatusHostCfgExtended;
class HealthStatusHostCfg extends StatusHostCfgBase {
    static _OPENAPI_METADATA_FACTORY() {
        return { subsystems: { required: true, type: () => [require("./healthStatus.dto").HealthStatusSubsystem] } };
    }
}
exports.HealthStatusHostCfg = HealthStatusHostCfg;
class HealthStatusSeverity {
    static _OPENAPI_METADATA_FACTORY() {
        return { status: { required: true, type: () => String }, count: { required: true, type: () => Number }, devices: { required: true, type: () => [require("./healthStatus.dto").StatusHostCfgBase] } };
    }
}
exports.HealthStatusSeverity = HealthStatusSeverity;
class HostcfgStatus {
    static _OPENAPI_METADATA_FACTORY() {
        return { name: { required: true, type: () => String }, count: { required: true, type: () => Number }, devices: { required: true, type: () => [require("./healthStatus.dto").StatusHostCfgBase] } };
    }
}
exports.HostcfgStatus = HostcfgStatus;
class Count {
    static _OPENAPI_METADATA_FACTORY() {
        return { bell: { required: true, type: () => Number }, error: { required: true, type: () => Number }, warning: { required: true, type: () => Number }, unknown: { required: true, type: () => Number }, ok: { required: true, type: () => Number }, ignored: { required: true, type: () => Number }, data: { required: true, type: () => Number }, connection: { required: true, type: () => Number } };
    }
}
exports.Count = Count;
class CountDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./healthStatus.dto").Count } };
    }
}
exports.CountDTO = CountDTO;
class HealthStatusSeverityDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./healthStatus.dto").HealthStatusSeverity] } };
    }
}
exports.HealthStatusSeverityDTO = HealthStatusSeverityDTO;
class HealthStatusHwType {
    static _OPENAPI_METADATA_FACTORY() {
        return { label: { required: true, type: () => String }, status: { required: true, type: () => String }, subsystems: { required: true, type: () => [require("./healthStatus.dto").HealthStatusSubsystem] } };
    }
}
exports.HealthStatusHwType = HealthStatusHwType;
class HostcfgStatusDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./healthStatus.dto").HostcfgStatus } };
    }
}
exports.HostcfgStatusDTO = HostcfgStatusDTO;
class HealthStatusHostsCfgDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./healthStatus.dto").HealthStatusHostCfg] } };
    }
}
exports.HealthStatusHostsCfgDTO = HealthStatusHostsCfgDTO;
class HealthStatusHostCfgDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./healthStatus.dto").HealthStatusHostCfg } };
    }
}
exports.HealthStatusHostCfgDTO = HealthStatusHostCfgDTO;
class HealthStatusHwTypesDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./healthStatus.dto").HealthStatusHwType] } };
    }
}
exports.HealthStatusHwTypesDTO = HealthStatusHwTypesDTO;
class HealthStatusHwTypeDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./healthStatus.dto").HealthStatusHwType } };
    }
}
exports.HealthStatusHwTypeDTO = HealthStatusHwTypeDTO;
class HealthStatusItemDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./healthStatus.dto").HealthStatusItem } };
    }
}
exports.HealthStatusItemDTO = HealthStatusItemDTO;
//# sourceMappingURL=healthStatus.dto.js.map