"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CGMirrorsResponseDTO = exports.MirrorsResponseDTO = exports.HealthStatusMirrorDTOResponse = exports.HealthStatusMirrorsDTOResponse = exports.MirrorsDTO = exports.HealthStatusMirrorRelDTO = exports.HealthStatusMirrorBackDTO = exports.HealthStatusMirrorDTO = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class HealthStatusMirrorDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { source_vol_id: { required: true, type: () => String }, target_vol_id: { required: true, type: () => String }, source_item_id: { required: true, type: () => String }, source_item_label: { required: false, type: () => String }, target_item_id: { required: false, type: () => String }, target_item_label: { required: false, type: () => String }, type_state: { required: true, type: () => String }, severity: { required: true, enum: require("./constants/healthStatusMirror.constants").Severity }, system_name: { required: true, type: () => String }, remote_system_name: { required: true, type: () => String }, freeze_time: { required: false, type: () => Number }, progress: { required: false, type: () => Number }, consistency_group_id: { required: false, type: () => String }, consistency_group_label: { required: false, type: () => String }, _consistency_group: { required: false, type: () => require("./consistencyGroup.dto").ConsistencyGroupDTO } };
    }
}
exports.HealthStatusMirrorDTO = HealthStatusMirrorDTO;
class HealthStatusMirrorBackDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { vol_id: { required: true, type: () => String }, hostcfg_id: { required: true, type: () => String }, item_id: { required: true, type: () => String } };
    }
}
exports.HealthStatusMirrorBackDTO = HealthStatusMirrorBackDTO;
class HealthStatusMirrorRelDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { source_vol_id: { required: true, type: () => String }, source_hostcfg_id: { required: true, type: () => String }, target_vol_id: { required: true, type: () => String }, target_hostcfg_id: { required: false, type: () => String }, system_name: { required: true, type: () => String }, remote_system_name: { required: true, type: () => String }, consistency_group_id: { required: false, type: () => String }, consistency_group_label: { required: false, type: () => String }, type_state: { required: true, type: () => String }, severity: { required: true, enum: require("./constants/healthStatusMirror.constants").Severity }, freeze_time: { required: false, type: () => Number }, progress: { required: false, type: () => Number }, item_id: { required: true, type: () => String } };
    }
}
exports.HealthStatusMirrorRelDTO = HealthStatusMirrorRelDTO;
class MirrorsDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { mirrors: { required: true, type: () => [require("./healthStatusMirror.dto").HealthStatusMirrorRelDTO] }, consistencyGroups: { required: true, type: () => [require("./consistencyGroup.dto").ConsistencyGroupDTO] } };
    }
}
exports.MirrorsDTO = MirrorsDTO;
class HealthStatusMirrorsDTOResponse extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: false, type: () => [require("./healthStatusMirror.dto").HealthStatusMirrorDTO] } };
    }
}
exports.HealthStatusMirrorsDTOResponse = HealthStatusMirrorsDTOResponse;
class HealthStatusMirrorDTOResponse extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: false, type: () => require("./healthStatusMirror.dto").HealthStatusMirrorDTO } };
    }
}
exports.HealthStatusMirrorDTOResponse = HealthStatusMirrorDTOResponse;
class MirrorsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: false, type: () => require("./healthStatusMirror.dto").MirrorsDTO } };
    }
}
exports.MirrorsResponseDTO = MirrorsResponseDTO;
class CGMirrorsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: false, type: () => Object } };
    }
}
exports.CGMirrorsResponseDTO = CGMirrorsResponseDTO;
//# sourceMappingURL=healthStatusMirror.dto.js.map