export declare enum PROTO {
    HTTP = "http",
    HTTPS = "https"
}
export declare class Node {
    alias: string;
    host: string;
    constructor(alias: string, host: string);
}
export declare class HostService {
    host: string;
    service: string;
    pdbs: Array<string>;
    constructor(host?: string, service?: string, pdbs?: string[]);
}
export declare class DataGuardOld {
    hosts?: Array<string>;
    instance?: Array<string>;
    pdbs?: Array<string>;
    static getAsHostService(dg: DataGuardOld): HostService;
}
export declare class Sp {
    host: string;
    sshPort: number;
    sshUsername: string;
    sshPassword: string;
    ftpUsername: string;
    ftpPassword: string;
    ftpPath: string;
}
export declare class OldSp {
    host: string;
    port: string;
    sshuser: string;
    sshpassword: string;
    ftpuser: string;
    ftppassword: string;
    ftppath: string;
    static portSp(old: OldSp): Sp;
}
export declare enum SnmpVersion {
    SNMPv1 = "1",
    SNMPv2c = "2c",
    SNMPv3 = "3"
}
export declare enum SnmpLevel {
    NOAUTH_NOPRIV = "noAuthNoPriv",
    AUTH_NOPRIV = "authNoPriv",
    AUTH_PRIV = "authPriv"
}
export declare enum SnmpPrivProto {
    AES = "AES",
    AES128 = "AES128",
    AES256 = "AES256"
}
export declare enum SnmpAuthProto {
    MD5 = "MD5",
    SHA = "SHA",
    SHA512 = "SHA512"
}
