"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.XivDataDescription = exports.XivPropsOld = exports.XivProps = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
class XivProps extends deviceProps_1.BaseDeviceProps {
    constructor() {
        super(...arguments);
        this.host = undefined;
        this.storageUsername = undefined;
        this.password = undefined;
    }
}
exports.XivProps = XivProps;
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], XivProps.prototype, "host", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], XivProps.prototype, "storageUsername", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], XivProps.prototype, "password", void 0);
class XivPropsOld extends deviceProps_1.OldApiAuthDeviceProps {
}
exports.XivPropsOld = XivPropsOld;
exports.XivDataDescription = {
    ...deviceProps_1.BaseDeviceDescription,
    host: {
        required: true,
        type: "string",
    },
    storageUsername: {
        required: true,
        type: "string",
    },
    password: {
        required: true,
        type: "string",
    }
};
//# sourceMappingURL=xiv.data.js.map