"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicroserviceVariablesResponse = exports.MicroserviceVariablesDTO = exports.MicroserviceVariableDTO = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class MicroserviceVariableDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { microservice_variables_id: { required: false, type: () => String }, key: { required: true, type: () => String }, value: { required: true, type: () => String }, hostcfg_id: { required: false, type: () => String }, hw_type: { required: false, type: () => String } };
    }
}
exports.MicroserviceVariableDTO = MicroserviceVariableDTO;
class MicroserviceVariablesDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { microserviceVariables: { required: true, type: () => [require("./microserviceVariables.dto").MicroserviceVariableDTO] } };
    }
}
exports.MicroserviceVariablesDTO = MicroserviceVariablesDTO;
class MicroserviceVariablesResponse extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: false, type: () => require("./microserviceVariables.dto").MicroserviceVariablesDTO } };
    }
}
exports.MicroserviceVariablesResponse = MicroserviceVariablesResponse;
//# sourceMappingURL=microserviceVariables.dto.js.map