"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupStorageGroupsResponseDTO = exports.DevicesResponseDTO = exports.StorageGroupResponseDTO = exports.StorageGroupsResponseDTO = exports.GroupStorageGroupFolder = exports.StorageGroupDTO = exports.Device = exports.StorageGroup = exports.RegexPreviewDTO = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
const menuResponse_dto_1 = require("./menuResponse.dto");
class RegexPreviewDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { regex: { required: true, type: () => [String] } };
    }
}
exports.RegexPreviewDTO = RegexPreviewDTO;
class StorageGroup {
    static _OPENAPI_METADATA_FACTORY() {
        return { storage_group_id: { required: true, type: () => String }, label: { required: true, type: () => String }, description: { required: true, type: () => String }, regex: { required: true, type: () => Boolean }, devices: { required: true, type: () => [require("./storageGroups.dto").Device] }, group: { required: false, type: () => ({ group_id: { required: true, type: () => Number }, name: { required: true, type: () => String } }) } };
    }
}
exports.StorageGroup = StorageGroup;
class Device {
    static _OPENAPI_METADATA_FACTORY() {
        return { item_id: { required: true, type: () => String }, label: { required: true, type: () => String }, hw_type: { required: true, type: () => String } };
    }
}
exports.Device = Device;
class StorageGroupDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { label: { required: true, type: () => String }, description: { required: true, type: () => String }, devices: { required: false, type: () => [String] }, regex: { required: false, type: () => [String] }, group_id: { required: false, type: () => Number } };
    }
}
exports.StorageGroupDTO = StorageGroupDTO;
class GroupStorageGroupFolder extends menuResponse_dto_1.MenuItem {
    static _OPENAPI_METADATA_FACTORY() {
        return { group_id: { required: true, type: () => Number } };
    }
}
exports.GroupStorageGroupFolder = GroupStorageGroupFolder;
class StorageGroupsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./storageGroups.dto").StorageGroup] } };
    }
}
exports.StorageGroupsResponseDTO = StorageGroupsResponseDTO;
class StorageGroupResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./storageGroups.dto").StorageGroup } };
    }
}
exports.StorageGroupResponseDTO = StorageGroupResponseDTO;
class DevicesResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./storageGroups.dto").Device] } };
    }
}
exports.DevicesResponseDTO = DevicesResponseDTO;
class GroupStorageGroupsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./storageGroups.dto").GroupStorageGroupFolder] } };
    }
}
exports.GroupStorageGroupsResponseDTO = GroupStorageGroupsResponseDTO;
//# sourceMappingURL=storageGroups.dto.js.map