"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TagsResponseDTO = exports.TagResponseDTO = exports.TagsWithValueIndicatorResponseDTO = exports.TagWithValueIndicatorResponseDTO = exports.TagIdItemIds = exports.TagWithValueIndicator = exports.UpdateTag = exports.CreateTag = exports.Tag = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class Tag {
    static _OPENAPI_METADATA_FACTORY() {
        return { tag_id: { required: true, type: () => String }, label: { required: true, type: () => String }, user_id: { required: true, type: () => Number }, createdAt: { required: false, type: () => String }, updatedAt: { required: false, type: () => String }, include_self: { required: true, type: () => Boolean } };
    }
}
exports.Tag = Tag;
class CreateTag {
    static _OPENAPI_METADATA_FACTORY() {
        return { label: { required: true, type: () => String }, include_self: { required: true, type: () => Boolean } };
    }
}
exports.CreateTag = CreateTag;
class UpdateTag {
    static _OPENAPI_METADATA_FACTORY() {
        return { old_label: { required: true, type: () => String }, new_label: { required: true, type: () => String }, include_self: { required: true, type: () => Boolean } };
    }
}
exports.UpdateTag = UpdateTag;
class TagWithValueIndicator extends Tag {
    static _OPENAPI_METADATA_FACTORY() {
        return { has_values: { required: false, type: () => Boolean } };
    }
}
exports.TagWithValueIndicator = TagWithValueIndicator;
class TagIdItemIds {
    static _OPENAPI_METADATA_FACTORY() {
        return { item_ids: { required: true, type: () => [String] }, tag_id: { required: true, type: () => String } };
    }
}
exports.TagIdItemIds = TagIdItemIds;
class TagWithValueIndicatorResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./tag.dto").TagWithValueIndicator } };
    }
}
exports.TagWithValueIndicatorResponseDTO = TagWithValueIndicatorResponseDTO;
class TagsWithValueIndicatorResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./tag.dto").TagWithValueIndicator] } };
    }
}
exports.TagsWithValueIndicatorResponseDTO = TagsWithValueIndicatorResponseDTO;
class TagResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./tag.dto").Tag } };
    }
}
exports.TagResponseDTO = TagResponseDTO;
class TagsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./tag.dto").Tag] } };
    }
}
exports.TagsResponseDTO = TagsResponseDTO;
//# sourceMappingURL=tag.dto.js.map