"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TagValuesResponseDTO = exports.TagValueResponseDTO = exports.UpdateTagValueById = exports.UpdateTagValue = exports.CreateTagValueByTagId = exports.CreateTagValue = exports.TagValue = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class TagValue {
    static _OPENAPI_METADATA_FACTORY() {
        return { tag_value_id: { required: true, type: () => String }, value: { required: true, type: () => String }, user_id: { required: true, type: () => Number }, createdAt: { required: false, type: () => String }, updatedAt: { required: false, type: () => String }, tag_id: { required: true, type: () => String } };
    }
}
exports.TagValue = TagValue;
class CreateTagValue {
    static _OPENAPI_METADATA_FACTORY() {
        return { value: { required: true, type: () => String }, label: { required: true, type: () => String } };
    }
}
exports.CreateTagValue = CreateTagValue;
class CreateTagValueByTagId {
    static _OPENAPI_METADATA_FACTORY() {
        return { value: { required: true, type: () => String }, tag_id: { required: true, type: () => String } };
    }
}
exports.CreateTagValueByTagId = CreateTagValueByTagId;
class UpdateTagValue {
    static _OPENAPI_METADATA_FACTORY() {
        return { old_value: { required: true, type: () => String }, new_value: { required: true, type: () => String }, label: { required: true, type: () => String } };
    }
}
exports.UpdateTagValue = UpdateTagValue;
class UpdateTagValueById {
    static _OPENAPI_METADATA_FACTORY() {
        return { old_value: { required: true, type: () => String }, new_value: { required: true, type: () => String }, tag_id: { required: true, type: () => String } };
    }
}
exports.UpdateTagValueById = UpdateTagValueById;
class TagValueResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./tagValue.dto").TagValue } };
    }
}
exports.TagValueResponseDTO = TagValueResponseDTO;
class TagValuesResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./tagValue.dto").TagValue] } };
    }
}
exports.TagValuesResponseDTO = TagValuesResponseDTO;
//# sourceMappingURL=tagValue.dto.js.map