import { BasicResponseDTO } from './basicResponse.dto';
export declare class TargetDestinationBase {
    destination: string;
    url: string;
    port: number;
    token: string;
}
export declare class SaveTargetDestination extends TargetDestinationBase {
    hostcfg_ids: string[] | null;
}
export declare class TargetDestinationDTO extends TargetDestinationBase {
    target_destination_id: string;
    hostcfgs: TargetDestinationHostcfg[] | null;
}
export declare class TargetDestinationHostcfg {
    hostcfg_id: string;
    label: string;
}
export declare class TargetDestinationsResponseDTO extends BasicResponseDTO {
    data: TargetDestinationDTO[];
}
export declare class TargetDestinationResponseDTO extends BasicResponseDTO {
    data: TargetDestinationDTO;
}
