export declare class DatabaseHelper {
    static getColumns(schema: string, table: string, dataSource?: any): Promise<string[]>;
    static renamePerfColumn(table: string, oldColumn: string, newColumn: string, dataSource?: any): Promise<void>;
    static renamePerfTable(table: string, newTableName: string, dataSource?: any): Promise<void>;
    static deletePerfTable(table: string, dataSource: any): Promise<void>;
    static tableExists(tableName: string, dataSource: any, schema?: string): Promise<boolean>;
    static enumExists(enumName: string, dataSource: any): Promise<boolean>;
}
