"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Class = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const hwType_entity_1 = require("./hwType.entity");
const customGroup_entity_1 = require("./customGroup.entity");
const export_entity_1 = require("./export.entity");
const alertingGroup_entity_1 = require("./alertingGroup.entity");
const reportItem_entity_1 = require("./reportItem.entity");
let Class = class Class {
    static _OPENAPI_METADATA_FACTORY() {
        return { _class: { required: true, type: () => String }, label: { required: true, type: () => String }, class_order: { required: false, type: () => Number }, hw_types: { required: false, type: () => [require("./hwType.entity").HwType] }, customGroups: { required: false, type: () => [require("./customGroup.entity").CustomGroup] }, exports: { required: false, type: () => [require("./export.entity").Export] }, alertingGroups: { required: false, type: () => [require("./alertingGroup.entity").AlertingGroup] }, report_items: { required: false, type: () => [require("./reportItem.entity").ReportItem] } };
    }
};
exports.Class = Class;
__decorate([
    (0, typeorm_1.PrimaryColumn)({ name: 'class' }),
    __metadata("design:type", String)
], Class.prototype, "_class", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], Class.prototype, "label", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: null }),
    __metadata("design:type", Number)
], Class.prototype, "class_order", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => hwType_entity_1.HwType, (hwType) => hwType._class),
    __metadata("design:type", Array)
], Class.prototype, "hw_types", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => customGroup_entity_1.CustomGroup, (customGroup) => customGroup._class),
    __metadata("design:type", Array)
], Class.prototype, "customGroups", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => export_entity_1.Export, (exporter) => exporter._class),
    __metadata("design:type", Array)
], Class.prototype, "exports", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => alertingGroup_entity_1.AlertingGroup, (alertingGroup) => alertingGroup._class),
    __metadata("design:type", Array)
], Class.prototype, "alertingGroups", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => reportItem_entity_1.ReportItem, (reportItem) => reportItem._class),
    __metadata("design:type", Array)
], Class.prototype, "report_items", void 0);
exports.Class = Class = __decorate([
    (0, typeorm_1.Entity)({ name: 'classes', synchronize: false })
], Class);
//# sourceMappingURL=class.entity.js.map