import { ExportConfigurationRequestDTO, ExportFormat, ExportTimeseriesRequestDTO, ExportType, Recurrence } from '../common/exporter.dto';
import { User } from './user.entity';
import { Class } from './class.entity';
import { HwType } from './hwType.entity';
import { CustomGroup } from './customGroup.entity';
import { ItemGroup } from './itemGroup.entity';
export declare class Export {
    export_id: string;
    label: string;
    format: ExportFormat;
    type: ExportType;
    _class?: Class;
    class: string;
    _hw_type?: HwType;
    hw_type: string;
    subsystem: string;
    _item_group?: ItemGroup;
    item_group_id: string;
    _custom_group?: CustomGroup;
    custom_group_id: string;
    data: ExportTimeseriesRequestDTO | ExportConfigurationRequestDTO;
    recurrence?: Recurrence;
    last_run?: string;
    readonly created?: Date;
    user_id: number;
    created_by?: User;
}
