"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HostcfgStatus = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const hostcfg_entity_1 = require("./hostcfg.entity");
let HostcfgStatus = class HostcfgStatus {
    static _OPENAPI_METADATA_FACTORY() {
        return { _hostcfg: { required: false, type: () => require("./hostcfg.entity").HostCfg }, hostcfg_id: { required: true, type: () => String }, connection: { required: true, type: () => Boolean }, data: { required: true, type: () => Boolean }, message: { required: true, type: () => String }, lastData: { required: false, type: () => Date }, perfTriggered: { required: true, type: () => Boolean }, updatedAt: { required: false, type: () => Date } };
    }
};
exports.HostcfgStatus = HostcfgStatus;
__decorate([
    (0, typeorm_1.OneToOne)(() => hostcfg_entity_1.HostCfg, (hostCfg) => hostCfg.status, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'hostcfg_id' }),
    __metadata("design:type", hostcfg_entity_1.HostCfg)
], HostcfgStatus.prototype, "_hostcfg", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], HostcfgStatus.prototype, "hostcfg_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        nullable: true
    }),
    __metadata("design:type", Boolean)
], HostcfgStatus.prototype, "connection", void 0);
__decorate([
    (0, typeorm_1.Column)({
        nullable: true
    }),
    __metadata("design:type", Boolean)
], HostcfgStatus.prototype, "data", void 0);
__decorate([
    (0, typeorm_1.Column)({
        nullable: true
    }),
    __metadata("design:type", String)
], HostcfgStatus.prototype, "message", void 0);
__decorate([
    (0, typeorm_1.Column)({ name: 'last_data', type: 'timestamp with time zone', nullable: true }),
    __metadata("design:type", Date)
], HostcfgStatus.prototype, "lastData", void 0);
__decorate([
    (0, typeorm_1.Column)({ name: "perf_triggered", type: "boolean", default: false }),
    __metadata("design:type", Boolean)
], HostcfgStatus.prototype, "perfTriggered", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ name: 'updated_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], HostcfgStatus.prototype, "updatedAt", void 0);
exports.HostcfgStatus = HostcfgStatus = __decorate([
    (0, typeorm_1.Entity)({ name: 'hostcfg_status', synchronize: false })
], HostcfgStatus);
//# sourceMappingURL=hostcfgStatus.entity.js.map