"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ItemGroupTag = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const itemGroup_entity_1 = require("./itemGroup.entity");
const tagValue_entity_1 = require("./tagValue.entity");
let ItemGroupTag = class ItemGroupTag {
    static _OPENAPI_METADATA_FACTORY() {
        return { _item_group: { required: false, type: () => require("./itemGroup.entity").ItemGroup }, item_group_id: { required: true, type: () => String }, _tag: { required: false, type: () => require("./tagValue.entity").TagValue }, tag_value_id: { required: true, type: () => String } };
    }
};
exports.ItemGroupTag = ItemGroupTag;
__decorate([
    (0, typeorm_1.ManyToOne)(() => itemGroup_entity_1.ItemGroup, (itemGroup) => itemGroup.tags, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'item_group_id' }),
    __metadata("design:type", itemGroup_entity_1.ItemGroup)
], ItemGroupTag.prototype, "_item_group", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], ItemGroupTag.prototype, "item_group_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => tagValue_entity_1.TagValue, (tag) => tag.item_group_tags, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'tag_value_id' }),
    __metadata("design:type", tagValue_entity_1.TagValue)
], ItemGroupTag.prototype, "_tag", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], ItemGroupTag.prototype, "tag_value_id", void 0);
exports.ItemGroupTag = ItemGroupTag = __decorate([
    (0, typeorm_1.Entity)({ name: 'item_group_tags', synchronize: false })
], ItemGroupTag);
//# sourceMappingURL=itemGroupTag.entity.js.map