"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.As400Job = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.As400Job = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_as400_job',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        percent_used: {
            type: 'float4',
            nullable: true,
        },
        diskIO_total: {
            type: 'float4',
            nullable: true,
        },
        proctime_total: {
            type: 'float4',
            nullable: true,
        },
    },
});
//# sourceMappingURL=as400Job.entity.js.map