"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.As400Lan = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.As400Lan = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_as400_lan',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        total_bytes_recv: {
            type: 'float4',
            nullable: true,
        },
        total_bytes_sent: {
            type: 'float4',
            nullable: true,
        },
        total_packets_recv: {
            type: 'float4',
            nullable: true,
        },
        total_packets_sent: {
            type: 'float4',
            nullable: true,
        },
        total_inbound_packets_discarded: {
            type: 'float4',
            nullable: true,
        },
        total_outbound_packets_discarded: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        },
    },
});
//# sourceMappingURL=as400Lan.entity.js.map