"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.As400Server = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.As400Server = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_as400_server',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        active_jobs_in_system: {
            type: 'int2',
            nullable: true,
        },
        active_threads_in_system: {
            type: 'int2',
            nullable: true,
        },
        jobs_in_system: {
            type: 'int2',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        },
    },
});
//# sourceMappingURL=as400Server.entity.js.map