"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HcpNode = void 0;
const openapi = require("@nestjs/swagger");
const Compose_1 = require("./Compose");
const columns = [
    'cpu_user', 'cpu_system', 'cpu_wait',
    'lun_utilization', 'lun_read', 'lun_write', 'lun_data_rate',
    'capacity_used', 'capacity_free', 'capacity_total', 'capacity_used_percent',
    'network_tx', 'network_rx', 'network_rate',
    'network_tx_b', 'network_rx_b', 'network_rate_b',
    'swap_out',
    'tmp0', 'tmp1', 'tmp2', 'tmp3', 'tmp4', 'tmp5', 'tmp6', 'tmp7',
    'tmp8', 'tmp9', 'tmp10', 'tmp11', 'tmp12', 'tmp13', 'tmp14', 'tmp15',
];
exports.HcpNode = (0, Compose_1.getEntitySchema)('hcp', 'node', columns);
//# sourceMappingURL=hcpNode.entity.js.map