"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinuxLan = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.LinuxLan = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_linux_lan',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        recv_bytes: {
            type: 'float4',
            nullable: true,
        },
        trans_bytes: {
            type: 'float4',
            nullable: true,
        },
        recv_packets: {
            type: 'float4',
            nullable: true,
        },
        trans_packets: {
            type: 'float4',
            nullable: true,
        },
        lan_error: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        },
    },
});
//# sourceMappingURL=linuxLan.entity.js.map