"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SolarisSanLdom = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.SolarisSanLdom = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_solaris_sanldom',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        io_read: {
            type: 'float4',
            nullable: true,
        },
        io_write: {
            type: 'float4',
            nullable: true,
        },
        bytes_read: {
            type: 'float4',
            nullable: true,
        },
        bytes_write: {
            type: 'float4',
            nullable: true,
        },
        resp_time: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        },
    },
});
//# sourceMappingURL=solarisSanLdom.entity.js.map