"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VmwareDatastoreVm = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.VmwareDatastoreVm = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_vmware_datastore_vm',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        iops_read: {
            type: 'float4',
            nullable: true,
        },
        iops_write: {
            type: 'float4',
            nullable: true,
        },
        provisioned_space: {
            type: 'float4',
            nullable: true,
        },
        used_space: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=vmwareDatastoreVm.entity.js.map