"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplicationTask = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.ApplicationTask = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_application_task',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        duration: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=applicationTask.entity.js.map