"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicroserviceJob = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const microservice_entity_1 = require("./microservice.entity");
let MicroserviceJob = class MicroserviceJob {
    static _OPENAPI_METADATA_FACTORY() {
        return { _microservice: { required: false, type: () => require("./microservice.entity").Microservice }, microservice: { required: true, type: () => String }, job: { required: true, type: () => String }, interval: { required: true, type: () => Number }, timeout: { required: true, type: () => Number }, concurrence: { required: true, type: () => Number } };
    }
};
exports.MicroserviceJob = MicroserviceJob;
__decorate([
    (0, typeorm_1.ManyToOne)(() => microservice_entity_1.Microservice, (microservice) => microservice.jobs, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'microservice' }),
    __metadata("design:type", microservice_entity_1.Microservice)
], MicroserviceJob.prototype, "_microservice", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], MicroserviceJob.prototype, "microservice", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], MicroserviceJob.prototype, "job", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], MicroserviceJob.prototype, "interval", void 0);
__decorate([
    (0, typeorm_1.Column)({
        default: 20
    }),
    __metadata("design:type", Number)
], MicroserviceJob.prototype, "timeout", void 0);
__decorate([
    (0, typeorm_1.Column)({
        default: 3
    }),
    __metadata("design:type", Number)
], MicroserviceJob.prototype, "concurrence", void 0);
exports.MicroserviceJob = MicroserviceJob = __decorate([
    (0, typeorm_1.Entity)({ name: 'microservice_jobs', synchronize: false })
], MicroserviceJob);
//# sourceMappingURL=microserviceJobs.entity.js.map