"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicroserviceVariables = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const hostcfg_entity_1 = require("./hostcfg.entity");
const hwType_entity_1 = require("./hwType.entity");
let MicroserviceVariables = class MicroserviceVariables {
    static _OPENAPI_METADATA_FACTORY() {
        return { microservice_variables_id: { required: true, type: () => String }, key: { required: true, type: () => String }, value: { required: true, type: () => String }, _hostcfg_id: { required: false, type: () => require("./hostcfg.entity").HostCfg }, hostcfg_id: { required: true, type: () => String }, _hw_type: { required: false, type: () => require("./hwType.entity").HwType }, hw_type: { required: true, type: () => String } };
    }
};
exports.MicroserviceVariables = MicroserviceVariables;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)("uuid"),
    __metadata("design:type", String)
], MicroserviceVariables.prototype, "microservice_variables_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], MicroserviceVariables.prototype, "key", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], MicroserviceVariables.prototype, "value", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => hostcfg_entity_1.HostCfg, (hostCfg) => hostCfg.hostcfg_id, { cascade: true, onDelete: 'CASCADE', nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: 'hostcfg_id' }),
    __metadata("design:type", hostcfg_entity_1.HostCfg)
], MicroserviceVariables.prototype, "_hostcfg_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], MicroserviceVariables.prototype, "hostcfg_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => hwType_entity_1.HwType, (hwType) => hwType.microservices, { cascade: true, onDelete: 'CASCADE', nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: 'hw_type' }),
    __metadata("design:type", hwType_entity_1.HwType)
], MicroserviceVariables.prototype, "_hw_type", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], MicroserviceVariables.prototype, "hw_type", void 0);
exports.MicroserviceVariables = MicroserviceVariables = __decorate([
    (0, typeorm_1.Entity)({ name: 'microservice_variables', synchronize: false })
], MicroserviceVariables);
//# sourceMappingURL=microserviceVariables.entity.js.map