"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TargetDestination = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const targetDestinationHostcfg_entity_1 = require("./targetDestinationHostcfg.entity");
let TargetDestination = class TargetDestination {
    static _OPENAPI_METADATA_FACTORY() {
        return { target_destination_id: { required: true, type: () => String }, destination: { required: true, type: () => String }, url: { required: true, type: () => String }, port: { required: true, type: () => Number }, token: { required: true, type: () => String }, createdAt: { required: false, type: () => Date }, updatedAt: { required: false, type: () => Date }, _target_destination_hostcfgs: { required: false, type: () => [require("./targetDestinationHostcfg.entity").TargetDestinationHostcfg] } };
    }
};
exports.TargetDestination = TargetDestination;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('uuid'),
    __metadata("design:type", String)
], TargetDestination.prototype, "target_destination_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], TargetDestination.prototype, "destination", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], TargetDestination.prototype, "url", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], TargetDestination.prototype, "port", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], TargetDestination.prototype, "token", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ name: 'created_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], TargetDestination.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ name: 'updated_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], TargetDestination.prototype, "updatedAt", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => targetDestinationHostcfg_entity_1.TargetDestinationHostcfg, (targetDestinationHostcfg) => targetDestinationHostcfg._target_destination),
    __metadata("design:type", Array)
], TargetDestination.prototype, "_target_destination_hostcfgs", void 0);
exports.TargetDestination = TargetDestination = __decorate([
    (0, typeorm_1.Entity)({ name: 'target_destinations', synchronize: false })
], TargetDestination);
//# sourceMappingURL=targetDestination.entity.js.map