"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Top = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const objectItem_entity_1 = require("./objectItem.entity");
const exporter_constants_1 = require("../common/constants/exporter.constants");
const enumsVersion = 'v' + 1;
let Top = class Top {
    static _OPENAPI_METADATA_FACTORY() {
        return { _item: { required: false, type: () => require("./objectItem.entity").ObjectItem }, item_id: { required: true, type: () => String }, metric: { required: true, type: () => String }, interval: { required: true, type: () => Object }, avg: { required: true, type: () => Number }, max: { required: true, type: () => Number }, updatedAt: { required: false, type: () => Date } };
    }
};
exports.Top = Top;
__decorate([
    (0, typeorm_1.ManyToOne)(() => objectItem_entity_1.ObjectItem, (objectItem) => objectItem.top, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'item_id' }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], Top.prototype, "_item", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], Top.prototype, "item_id", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], Top.prototype, "metric", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)({
        type: 'enum',
        enum: exporter_constants_1.TOP_INTERVAL,
        enumName: `top_interval_${enumsVersion}`,
    }),
    __metadata("design:type", String)
], Top.prototype, "interval", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'float4' }),
    __metadata("design:type", Number)
], Top.prototype, "avg", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'float4' }),
    __metadata("design:type", Number)
], Top.prototype, "max", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ name: 'updated_at' }),
    __metadata("design:type", Date)
], Top.prototype, "updatedAt", void 0);
exports.Top = Top = __decorate([
    (0, typeorm_1.Entity)({ name: 'tops', synchronize: false })
], Top);
//# sourceMappingURL=top.entity.js.map