"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XormonException = void 0;
const common_1 = require("@nestjs/common");
class XormonException extends common_1.HttpException {
    constructor(error, statusCode, message) {
        super({
            statusCode: statusCode ? statusCode : common_1.HttpStatus.BAD_REQUEST,
            error: error,
            message: message ? message : error
        }, statusCode ? statusCode : common_1.HttpStatus.BAD_REQUEST);
    }
}
exports.XormonException = XormonException;
//# sourceMappingURL=xormon.exception.js.map