import { CallHandler, ExecutionContext, NestInterceptor } from '@nestjs/common';
import { ObjectItem } from '@xormon/entity/objectItem.entity';
import { User as UserEntity } from '@xormon/entity/user.entity';
import { Observable } from 'rxjs';
import { Repository } from 'typeorm';
export declare class TimeseriesInterceptor implements NestInterceptor {
    private objectItemsRepository;
    private usersRepository;
    constructor(objectItemsRepository: Repository<ObjectItem>, usersRepository: Repository<UserEntity>);
    intercept(context: ExecutionContext, next: CallHandler): Promise<Observable<any>>;
}
