"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PowerAddSSPMetric1712727006000 = void 0;
const DatabaseHelper_1 = require("../../config/DatabaseHelper");
class PowerAddSSPMetric1712727006000 {
    constructor() {
        this.name = 'PowerAddSSPMetric1712727006000';
    }
    async up(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_sharedstoragepool', 'tmp0', 'usedSpace', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_sharedstoragepool', 'tmp1', 'totalSpace', queryRunner);
    }
    async down(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_sharedstoragepool', 'usedSpace', 'tmp0', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_sharedstoragepool', 'totalSpace', 'tmp1', queryRunner);
    }
}
exports.PowerAddSSPMetric1712727006000 = PowerAddSSPMetric1712727006000;
//# sourceMappingURL=1712727006000-PowerAddSSPMetric.migration.js.map