"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupDashboard1714464142518 = void 0;
class GroupDashboard1714464142518 {
    constructor() {
        this.name = 'GroupDashboard1714464142518';
    }
    async up(queryRunner) {
        await queryRunner.query(`
      ALTER TABLE public.dashboard_folders ADD group_id int4;
      ALTER TABLE public.dashboard_folders ADD CONSTRAINT "FK_95dfbc60fe96cf98989bbda4f0f" FOREIGN KEY (group_id) REFERENCES public."groups"(group_id) ON DELETE CASCADE;

      ALTER TABLE public.dashboards  ADD group_id int4;
      ALTER TABLE public.dashboards ADD CONSTRAINT "FK_eee47d482557fab190f22470de8" FOREIGN KEY (group_id) REFERENCES public."groups"(group_id) ON DELETE CASCADE;
    `);
    }
    async down(queryRunner) {
        await queryRunner.query(`
      DELETE FROM public.dashboards WHERE group_id IS NOT NULL;
      DELETE FROM public.dashboard_folders WHERE group_id IS NOT NULL;

      ALTER TABLE public.dashboard_folders DROP COLUMN group_id;
      ALTER TABLE public.dashboards DROP COLUMN group_id;
    `);
    }
}
exports.GroupDashboard1714464142518 = GroupDashboard1714464142518;
//# sourceMappingURL=1714464142518-GroupDashboard.migration.js.map