"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinuxPowerFramesIOPS_in_to_IOPS_write1719311482331 = void 0;
const DatabaseHelper_1 = require("../../config/DatabaseHelper");
class LinuxPowerFramesIOPS_in_to_IOPS_write1719311482331 {
    constructor() {
        this.name = 'LinuxPowerFramesIOPS_in_to_IOPS_write1719311482331';
    }
    async up(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_linux_san', 'iops_in', 'iops_write', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_linux_san', 'iops_out', 'iops_read', queryRunner);
    }
    async down(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_linux_san', 'iops_write', 'iops_in', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_linux_san', 'iops_read', 'iops_out', queryRunner);
    }
}
exports.LinuxPowerFramesIOPS_in_to_IOPS_write1719311482331 = LinuxPowerFramesIOPS_in_to_IOPS_write1719311482331;
//# sourceMappingURL=1719311482331-LinuxPowerFramesIOPS_in_to_IOPS_write.migration.js.map