"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LdapGroupFilterType1723812001923 = void 0;
class LdapGroupFilterType1723812001923 {
    constructor() {
        this.name = 'LdapGroupFilterType1723812001923';
    }
    async up(queryRunner) {
        await queryRunner.query(`
      CREATE TYPE ldapFilterType AS ENUM ('group', 'user');
      ALTER TABLE public.ldaps ADD COLUMN "group_filter_type" ldapFilterType NOT NULL DEFAULT 'group';
      `);
    }
    async down(queryRunner) {
        await queryRunner.query(`
      ALTER TABLE public.ldaps DROP COLUMN "group_filter_type";
      DROP TYPE ldapFilterType;
      `);
    }
}
exports.LdapGroupFilterType1723812001923 = LdapGroupFilterType1723812001923;
//# sourceMappingURL=1723812001923-LdapGroupFilterType.migration.js.map