"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupStorageGroups1725353823330 = void 0;
class GroupStorageGroups1725353823330 {
    constructor() {
        this.name = 'GroupStorageGroups1725353823330';
    }
    async up(queryRunner) {
        await queryRunner.query(`
      ALTER TABLE public.storage_groups ADD group_id int4;
      ALTER TABLE public.storage_groups ADD CONSTRAINT "FK_c2a6db0be45228267d6501595f4" FOREIGN KEY (group_id) REFERENCES public."groups"(group_id) ON DELETE CASCADE;
    `);
    }
    async down(queryRunner) {
        await queryRunner.query(`
      DELETE FROM public.storage_groups WHERE group_id IS NOT NULL;
      ALTER TABLE public.storage_groups DROP COLUMN group_id;
    `);
    }
}
exports.GroupStorageGroups1725353823330 = GroupStorageGroups1725353823330;
//# sourceMappingURL=1725353823330-GroupStorageGroups.migration.js.map