"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ACLModule = void 0;
const common_1 = require("@nestjs/common");
const config_1 = require("@nestjs/config");
const typeorm_1 = require("@nestjs/typeorm");
const acl_entity_1 = require("../../entity/acl.entity");
const hostcfg_entity_1 = require("../../entity/hostcfg.entity");
const class_entity_1 = require("../../entity/class.entity");
const hwType_entity_1 = require("../../entity/hwType.entity");
const subsystem_entity_1 = require("../../entity/subsystem.entity");
const itemProperty_entity_1 = require("../../entity/itemProperty.entity");
const itemRelation_entity_1 = require("../../entity/itemRelation.entity");
const objectItem_entity_1 = require("../../entity/objectItem.entity");
const acl_controller_1 = require("./acl.controller");
const acl_service_1 = require("./acl.service");
const storageGroup_entity_1 = require("../../entity/storageGroup.entity");
const storageGroupDevice_entity_1 = require("../../entity/storageGroupDevice.entity");
const storageGroupRegex_entity_1 = require("../../entity/storageGroupRegex.entity");
const menu_module_1 = require("../menu/menu.module");
let ACLModule = class ACLModule {
};
exports.ACLModule = ACLModule;
exports.ACLModule = ACLModule = __decorate([
    (0, common_1.Module)({
        imports: [
            config_1.ConfigModule.forRoot({ isGlobal: true }),
            typeorm_1.TypeOrmModule.forFeature([
                acl_entity_1.ACL,
                objectItem_entity_1.ObjectItem,
                itemProperty_entity_1.ItemProperty,
                itemRelation_entity_1.ItemRelation,
                class_entity_1.Class,
                hwType_entity_1.HwType,
                hostcfg_entity_1.HostCfg,
                subsystem_entity_1.Subsystem,
                storageGroup_entity_1.StorageGroup,
                storageGroupDevice_entity_1.StorageGroupDevice,
                storageGroupRegex_entity_1.StorageGroupRegex,
            ]),
            menu_module_1.MenuModule,
        ],
        controllers: [acl_controller_1.ACLController],
        providers: [acl_service_1.ACLService],
        exports: [typeorm_1.TypeOrmModule],
    })
], ACLModule);
//# sourceMappingURL=acl.module.js.map