"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlertingModule = void 0;
const common_1 = require("@nestjs/common");
const config_1 = require("@nestjs/config");
const typeorm_1 = require("@nestjs/typeorm");
const alerting_entity_1 = require("../../entity/alerting.entity");
const alertingGroup_entity_1 = require("../../entity/alertingGroup.entity");
const alertingHwEmail_entity_1 = require("../../entity/alertingHwEmail.entity");
const class_entity_1 = require("../../entity/class.entity");
const customGroup_entity_1 = require("../../entity/customGroup.entity");
const customGroupFolder_entity_1 = require("../../entity/customGroupFolder.entity");
const hwType_entity_1 = require("../../entity/hwType.entity");
const mailGroup_entity_1 = require("../../entity/mailGroup.entity");
const objectItem_entity_1 = require("../../entity/objectItem.entity");
const mail_module_1 = require("../../mail/mail.module");
const architecture_module_1 = require("../architecture/architecture.module");
const custom_group_module_1 = require("../custom_group/custom_group.module");
const alerting_controller_1 = require("./alerting.controller");
const alerting_service_1 = require("./alerting.service");
const deviceGroupHwAlerting_entity_1 = require("../../entity/deviceGroupHwAlerting.entity");
const itemGroup_entity_1 = require("../../entity/itemGroup.entity");
const alertingHistory_entity_1 = require("../../entity/alertingHistory.entity");
let AlertingModule = class AlertingModule {
};
exports.AlertingModule = AlertingModule;
exports.AlertingModule = AlertingModule = __decorate([
    (0, common_1.Module)({
        imports: [
            config_1.ConfigModule.forRoot({ isGlobal: true }),
            typeorm_1.TypeOrmModule.forFeature([itemGroup_entity_1.ItemGroup, hwType_entity_1.HwType, objectItem_entity_1.ObjectItem, alerting_entity_1.Alerting, mailGroup_entity_1.MailGroup, customGroup_entity_1.CustomGroup, customGroupFolder_entity_1.CustomGroupFolder, class_entity_1.Class, alertingGroup_entity_1.AlertingGroup, alertingHwEmail_entity_1.AlertingHwEmail, deviceGroupHwAlerting_entity_1.HwEventDeviceGroup, alertingHistory_entity_1.AlertingHistory]),
            mail_module_1.MailModule,
            architecture_module_1.ArchitectureModule,
            custom_group_module_1.CustomGroupModule
        ],
        controllers: [alerting_controller_1.AlertingController],
        providers: [alerting_service_1.AlertingService],
    })
], AlertingModule);
//# sourceMappingURL=alerting.module.js.map