export declare class Dump {
    cli: boolean;
    private ROOT_PATH;
    private LOGS_PATH;
    private TMP_PATH;
    private TMP_FILE_PATH;
    private DESTINATION_PATH;
    private SQL_OUTPUT;
    private filesToDelete;
    private fs;
    constructor(cli?: boolean);
    sql(sql: string): Promise<void>;
    generate(): Promise<void>;
    hidePass<Type>(rows: Type[]): Type[];
    gzip(): Promise<string>;
    private log;
    private trimLogs;
    private dumpMigrationTable;
    private dumpDbConf;
    private dumpHostcfgTable;
    private dumpTaskQueueTable;
    private dumpPM2Config;
    private dumpLicense;
    private dumpPM2List;
    private execStdout;
    private dumpPostgresConf;
    private dumpSysLog;
    private parseUptime;
    private dumpTasks;
    private dumpJobs;
    private findAndHide;
    private isValidIp;
    private generateReport;
    private getTables;
}
