import { GraphTablePropertyItem } from "@xormon/common/pageResponse.dto";
interface ItemProperties {
    [itemId: string]: {
        [propertyKey: string]: string;
    };
}
export interface ItemSingleProperty {
    [itemId: string]: GraphTablePropertyItem;
}
export declare class ItemPropertiesWrapper {
    static getProperties(itemIds: string[], properties: string[]): Promise<ItemProperties>;
    static getProperty(itemIds: string[], property: string): Promise<ItemSingleProperty>;
}
export {};
