"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomTaskModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const customTask_entity_1 = require("../../entity/customTask.entity");
const customTaskMailGroupRelations_entity_1 = require("../../entity/customTaskMailGroupRelations.entity");
const custom_task_controller_1 = require("./custom_task.controller");
const custom_task_service_1 = require("./custom_task.service");
let CustomTaskModule = class CustomTaskModule {
};
exports.CustomTaskModule = CustomTaskModule;
exports.CustomTaskModule = CustomTaskModule = __decorate([
    (0, common_1.Module)({
        imports: [
            typeorm_1.TypeOrmModule.forFeature([customTask_entity_1.CustomTask, customTaskMailGroupRelations_entity_1.CustomTaskMailGroupRelations]),
        ],
        controllers: [custom_task_controller_1.CustomTaskController],
        providers: [custom_task_service_1.CustomTaskService],
        exports: [custom_task_service_1.CustomTaskService],
    })
], CustomTaskModule);
//# sourceMappingURL=custom_task.module.js.map