/// <reference types="multer" />
import { CustomTaskDTO } from "@xormon/common/customTask.dto";
import { CustomTask } from "@xormon/entity/customTask.entity";
import { CustomTaskMailGroupRelations } from "@xormon/entity/customTaskMailGroupRelations.entity";
import { Repository } from "typeorm";
export declare class CustomTaskService {
    private customTaskRepository;
    private customTaskRelationsRepository;
    constructor(customTaskRepository: Repository<CustomTask>, customTaskRelationsRepository: Repository<CustomTaskMailGroupRelations>);
    saveFileToFiles(file: Express.Multer.File): Promise<string>;
    saveCustomTask(customTaskDTO: CustomTaskDTO): Promise<CustomTask>;
    getAllCustomTasks(): Promise<CustomTask[]>;
    deleteCustomTask(id: string): Promise<import("typeorm").DeleteResult>;
}
