"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HealthStatusModule = void 0;
const common_1 = require("@nestjs/common");
const config_1 = require("@nestjs/config");
const typeorm_1 = require("@nestjs/typeorm");
const consistencyGroup_entity_1 = require("../../entity/consistencyGroup.entity");
const healthStatus_entity_1 = require("../../entity/healthStatus.entity");
const healthStatusMirror_entity_1 = require("../../entity/healthStatusMirror.entity");
const hostcfg_entity_1 = require("../../entity/hostcfg.entity");
const hostcfgRelation_entity_1 = require("../../entity/hostcfgRelation.entity");
const hwType_entity_1 = require("../../entity/hwType.entity");
const itemRelation_entity_1 = require("../../entity/itemRelation.entity");
const objectItem_entity_1 = require("../../entity/objectItem.entity");
const user_entity_1 = require("../../entity/user.entity");
const globalStatus_controller_1 = require("./globalStatus.controller");
const healthStatus_service_1 = require("./healthStatus.service");
const healthStatusMirror_controller_1 = require("./healthStatusMirror.controller");
const healtStatusMirror_service_1 = require("./healtStatusMirror.service");
const healthStatusMirrorRel_entity_1 = require("../../entity/healthStatusMirrorRel.entity");
let HealthStatusModule = class HealthStatusModule {
};
exports.HealthStatusModule = HealthStatusModule;
exports.HealthStatusModule = HealthStatusModule = __decorate([
    (0, common_1.Module)({
        imports: [
            config_1.ConfigModule.forRoot({ isGlobal: true }),
            typeorm_1.TypeOrmModule.forFeature([objectItem_entity_1.ObjectItem, itemRelation_entity_1.ItemRelation, hostcfg_entity_1.HostCfg, hwType_entity_1.HwType, hostcfgRelation_entity_1.HostcfgRelation, healthStatus_entity_1.HealthStatus, user_entity_1.User, healthStatusMirror_entity_1.HealthStatusMirror, consistencyGroup_entity_1.ConsistencyGroup, healthStatusMirrorRel_entity_1.HealthStatusMirrorRel]),
        ],
        controllers: [globalStatus_controller_1.HealthStatusController, healthStatusMirror_controller_1.HealthStatusMirrorController],
        providers: [healthStatus_service_1.HealthStatusService, healtStatusMirror_service_1.HealthStatusMirrorService],
        exports: [typeorm_1.TypeOrmModule, healthStatus_service_1.HealthStatusService],
    })
], HealthStatusModule);
//# sourceMappingURL=healthStatus.module.js.map