import { OnModuleInit } from '@nestjs/common';
import { HostCfg } from '@xormon/entity/hostcfg.entity';
import { EntityManager, Repository } from 'typeorm';
export declare class MetricsTableService implements OnModuleInit {
    private dataSource;
    private hostcfgRepository;
    constructor(dataSource: EntityManager, hostcfgRepository: Repository<HostCfg>);
    private logger;
    private winstonLogger;
    private intervals;
    private maxMetrics;
    private allowedHwTypes;
    onModuleInit(): Promise<void>;
    reGenerate(hwType: string, subsystem: string): Promise<void>;
    generate(): Promise<void>;
}
