"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HostcfgPublicModule = void 0;
const common_1 = require("@nestjs/common");
const hostcfg_public_controller_1 = require("./hostcfg.public.controller");
const configuration_module_1 = require("../../configuration/configuration.module");
const hostCfg_service_1 = require("../../configuration/hostCfg.service");
const configuration_service_1 = require("../../configuration/configuration.service");
const menuGroup_service_1 = require("../../configuration/menuGroup.service");
const fabric_service_1 = require("../../configuration/fabric.service");
const metricsTable_service_1 = require("../../metrics/metricsTable.service");
const metrics_module_1 = require("../../metrics/metrics.module");
let HostcfgPublicModule = class HostcfgPublicModule {
};
exports.HostcfgPublicModule = HostcfgPublicModule;
exports.HostcfgPublicModule = HostcfgPublicModule = __decorate([
    (0, common_1.Module)({
        imports: [
            configuration_module_1.ConfigurationModule,
            metrics_module_1.MetricsModule
        ],
        controllers: [
            hostcfg_public_controller_1.HostcfgPublicController
        ],
        providers: [
            hostCfg_service_1.HostCfgService,
            configuration_service_1.ConfigurationService,
            menuGroup_service_1.MenuGroupService,
            fabric_service_1.FabricService,
            metricsTable_service_1.MetricsTableService
        ],
        exports: [],
    })
], HostcfgPublicModule);
//# sourceMappingURL=hostcfg.public.module.js.map