import { IMetric } from "@xormon/service/metrics/Classes";
export declare class TimeDataPoint {
    time: string;
    value: number;
    item: string;
    constructor(time: string, value: number, item: string);
}
export declare class Vega {
    private static makeYAxisTitle;
    private static findTopTick;
    private static findBottomTick;
    private static findLevelBelow;
    private static makeStepBase;
    private static makeBinaryTickValues;
    private static checkMaxMin;
    private static makeBinaryAxis;
    private static makeVegaSchemaBase;
    private static makeYAxisLabelFormat;
    private static makeAlertLimitLine;
    static makeImgVegaData(values: TimeDataPoint[], metricSpecification: Partial<IMetric>, itemLabels: {
        uuid: string;
        label: string;
    }[], stacked: boolean, max: number, width: number, height?: number, alertLimit?: number, includeLegend?: boolean, graphTitle?: string, alertingOptions?: {
        legendTitle: string;
        limitText: string;
    }): object;
    static createImageBuffer(vegaData: any, format?: 'png' | 'svg'): Promise<unknown>;
}
