"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReporterModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const mailGroup_entity_1 = require("../../entity/mailGroup.entity");
const report_entity_1 = require("../../entity/report.entity");
const reportFile_entity_1 = require("../../entity/reportFile.entity");
const reportItem_entity_1 = require("../../entity/reportItem.entity");
const ReportTemplate_service_1 = require("./ReportTemplate.service");
const reporter_controller_1 = require("./reporter.controller");
const reporter_service_1 = require("./reporter.service");
const itemGroup_entity_1 = require("../../entity/itemGroup.entity");
let ReporterModule = class ReporterModule {
};
exports.ReporterModule = ReporterModule;
exports.ReporterModule = ReporterModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([report_entity_1.Report, mailGroup_entity_1.MailGroup, reportFile_entity_1.ReportFile, reportItem_entity_1.ReportItem, itemGroup_entity_1.ItemGroup])],
        controllers: [reporter_controller_1.ReporterController],
        providers: [reporter_service_1.ReporterService, ReportTemplate_service_1.ReportTemplateService],
        exports: [],
    })
], ReporterModule);
//# sourceMappingURL=reporter.module.js.map