"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SessionModule = void 0;
const common_1 = require("@nestjs/common");
const config_1 = require("@nestjs/config");
const typeorm_1 = require("@nestjs/typeorm");
const acl_entity_1 = require("../../entity/acl.entity");
const adminGroup_entity_1 = require("../../entity/adminGroup.entity");
const group_entity_1 = require("../../entity/group.entity");
const objectItem_entity_1 = require("../../entity/objectItem.entity");
const user_entity_1 = require("../../entity/user.entity");
const ldap_module_1 = require("../ldap/ldap.module");
const users_module_1 = require("../users/users.module");
const session_controller_1 = require("./session.controller");
let SessionModule = class SessionModule {
};
exports.SessionModule = SessionModule;
exports.SessionModule = SessionModule = __decorate([
    (0, common_1.Module)({
        imports: [
            config_1.ConfigModule,
            typeorm_1.TypeOrmModule.forFeature([user_entity_1.User, group_entity_1.Group, adminGroup_entity_1.AdminGroup, acl_entity_1.ACL, objectItem_entity_1.ObjectItem]),
            ldap_module_1.LdapModule,
            users_module_1.UsersModule
        ],
        controllers: [session_controller_1.SessionController],
        providers: [],
    })
], SessionModule);
//# sourceMappingURL=session.module.js.map