use strict;
use warnings;

use LWP;
use FindBin;
use lib "$FindBin::Bin/"; # use lib in this folder
use lib "../../../perl-modules";
use Xormon;

use JSON;
use HTTP::Async;
use Net::HTTPS::NB;

my $start_timestamp = time();

my $async = HTTP::Async->new( ssl_options => { SSL_verify_mode => 0, verify_hostname => 0 }, slots => 10 );

for (1..200) {
    my $header = ['Content-Type' => 'application/json; charset=UTF-8'];
    my $request = HTTP::Request->new("GET", "https://10.22.111.46:8443/api", $header);
    $async->add($request)
}

Xormon::log($async->info);

while ( my $response = $async->wait_for_next_response ) {
    print $response->content."\n";
}

my $duration = time() - $start_timestamp;

print "\n\nDURATION: $duration seconds";